indexing

	description:

		"System clocks (precision to the second)"

	library: "Gobo Eiffel Kernel Library"
	copyright: "Copyright (c) 2001, Eric Bezault and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/08/27 16:49:27 $"
	revision: "$Revision: 1.7 $"

class KL_SYSTEM_CLOCK

inherit

	KI_SYSTEM_CLOCK


	SYSTEM_CLOCK
		rename
			ty as year,
			tm as month,
			td as day,
			thr as hour,
			tme as minute,
			tsd as second,
			january as  hact_january,
			february as hact_february,
			march as hact_march,
			april as hact_april,
			may as hact_may,
			june as hact_june,
			july as hact_july,
			august as hact_august,
			september as hact_september,
			october as hact_october,
			november as hact_november,
			december as hact_december,
			sunday as hact_sunday,
			monday as hact_monday,
			tuesday as hact_tueday,
			wednesday as hact_wednesday,
			thursday as hact_thursday,
			friday as hact_friday,
			saturday as hact_saturday
		export
			{NONE} all
		end













creation

	make

feature {NONE} -- Initialization

	make is
			-- Create a new system clock.
		do



		end























feature -- Setting

	set_local_time is
			-- Set clock to current local time.









		do


















			c_localtime (c_time, $year, $month, $day, $hour, $minute, $second, $tdst)











		end

	set_utc_time is
			-- Set clock to current UTC time.









		do


















			c_utctime (c_time, $year, $month, $day, $hour, $minute, $second)











		end






















































































end
