indexing

	description:

		"Cursors for multi-arrayed hash set traversals"

	library: "Gobo Eiffel Structure Library"
	copyright: "Copyright (c) 1999-2001, Eric Bezault and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/04/06 16:25:05 $"
	revision: "$Revision: 1.4 $"

class DS_MULTIARRAYED_HASH_SET_CURSOR [G -> HASHABLE]

inherit

	DS_MULTIARRAYED_SPARSE_SET_CURSOR [G]
		redefine
			container, next_cursor
		end

creation

	make

feature -- Access

	container: DS_MULTIARRAYED_HASH_SET [G]
			-- Hash set traversed

feature {DS_MULTIARRAYED_HASH_SET} -- Implementation

	next_cursor: DS_MULTIARRAYED_HASH_SET_CURSOR [G]
			-- Next cursor
			-- (Used by `container' to keep track of traversing
			-- cursors (i.e. cursors associated with `container'
			-- and which are not currently `off').)

end
