indexing

	description:

		"Eiffel keyword operators"

	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 2002, Eric Bezault and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/11/29 09:56:10 $"
	revision: "$Revision: 1.1 $"

class ET_KEYWORD_OPERATOR

inherit

	ET_KEYWORD
		rename
			is_infix as is_infix_keyword,
			is_prefix as is_prefix_keyword
		redefine
			process
		end

	ET_OPERATOR

creation

	make_and,
	make_implies,
	make_or,
	make_xor,
	make_not

feature -- Processing

	process (a_processor: ET_AST_PROCESSOR) is
			-- Process current node.
		do
			a_processor.process_keyword_operator (Current)
		end

end
