indexing

	description:

		"Eiffel preparsers"

	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 2002, Eric Bezault and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/11/29 09:57:41 $"
	revision: "$Revision: 1.7 $"

class ET_EIFFEL_PREPARSER

inherit

	ET_EIFFEL_PREPARSER_SKELETON

creation

	make, make_with_factory

feature -- Status report

	valid_start_condition (sc: INTEGER): BOOLEAN is
			-- Is `sc' a valid start condition?
		do
			Result := (INITIAL <= sc and sc <= VS3)
		end

feature {NONE} -- Implementation

	yy_build_tables is
			-- Build scanner tables.
		do
			yy_nxt ?= yy_nxt_template
			yy_chk ?= yy_chk_template
			yy_base ?= yy_base_template
			yy_def ?= yy_def_template
			yy_ec ?= yy_ec_template
			yy_meta ?= yy_meta_template
			yy_accept ?= yy_accept_template
			yy_acclist ?= yy_acclist_template
		end

	yy_execute_action (yy_act: INTEGER) is
			-- Execute semantic action.
		do
if yy_act <= 58 then
if yy_act <= 29 then
if yy_act <= 15 then
if yy_act <= 8 then
if yy_act <= 4 then
if yy_act <= 2 then
if yy_act = 1 then
yy_set_line_column
--|#line 32 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 32")
end

			
else
	yy_column := yy_column + 1
--|#line 33 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 33")
end

			
end
else
if yy_act = 3 then
	yy_column := yy_column + 2
--|#line 34 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 34")
end

			
else
	yy_column := yy_column + 5
--|#line 39 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 39")
end

			
end
end
else
if yy_act <= 6 then
if yy_act = 5 then
	yy_column := yy_column + 5
--|#line 40 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 40")
end

			
else
	yy_column := yy_column + 3
--|#line 41 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 41")
end

			
end
else
if yy_act = 7 then
	yy_column := yy_column + 3
--|#line 42 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 42")
end

			
else
	yy_column := yy_column + 2
--|#line 43 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 43")
end

			
end
end
end
else
if yy_act <= 12 then
if yy_act <= 10 then
if yy_act = 9 then
	yy_column := yy_column + 3
--|#line 44 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 44")
end

			
else
	yy_column := yy_column + 5
--|#line 45 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 45")
end

			
end
else
if yy_act = 11 then
	yy_column := yy_column + 8
--|#line 46 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 46")
end

			
else
	yy_column := yy_column + 7
--|#line 47 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 47")
end

			
end
end
else
if yy_act <= 14 then
if yy_act = 13 then
	yy_column := yy_column + 5
--|#line 48 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 48")
end

			
else
	yy_column := yy_column + 8
--|#line 49 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 49")
end

			
end
else
	yy_column := yy_column + 2
--|#line 50 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 50")
end

			
end
end
end
else
if yy_act <= 22 then
if yy_act <= 19 then
if yy_act <= 17 then
if yy_act = 16 then
	yy_column := yy_column + 4
--|#line 51 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 51")
end

			
else
	yy_column := yy_column + 6
--|#line 52 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 52")
end

			
end
else
if yy_act = 18 then
	yy_column := yy_column + 3
--|#line 53 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 53")
end

			
else
	yy_column := yy_column + 6
--|#line 54 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 54")
end

			
end
end
else
if yy_act <= 21 then
if yy_act = 20 then
	yy_column := yy_column + 8
--|#line 55 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 55")
end

			
else
	yy_column := yy_column + 6
--|#line 56 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 56")
end

			
end
else
	yy_column := yy_column + 8
--|#line 57 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 57")
end

			
end
end
else
if yy_act <= 26 then
if yy_act <= 24 then
if yy_act = 23 then
	yy_column := yy_column + 5
--|#line 58 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 58")
end

			
else
	yy_column := yy_column + 7
--|#line 59 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 59")
end

			
end
else
if yy_act = 25 then
	yy_column := yy_column + 4
--|#line 60 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 60")
end

			
else
	yy_column := yy_column + 6
--|#line 61 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 61")
end

			
end
end
else
if yy_act <= 28 then
if yy_act = 27 then
	yy_column := yy_column + 2
--|#line 62 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 62")
end

			
else
	yy_column := yy_column + 7
--|#line 63 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 63")
end

			
end
else
	yy_column := yy_column + 8
--|#line 64 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 64")
end

			
end
end
end
end
else
if yy_act <= 44 then
if yy_act <= 37 then
if yy_act <= 33 then
if yy_act <= 31 then
if yy_act = 30 then
	yy_column := yy_column + 5
--|#line 65 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 65")
end

			
else
	yy_column := yy_column + 7
--|#line 66 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 66")
end

			
end
else
if yy_act = 32 then
	yy_column := yy_column + 7
--|#line 67 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 67")
end

			
else
	yy_column := yy_column + 9
--|#line 68 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 68")
end

			
end
end
else
if yy_act <= 35 then
if yy_act = 34 then
	yy_column := yy_column + 2
--|#line 69 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 69")
end

			
else
	yy_column := yy_column + 4
--|#line 70 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 70")
end

			
end
else
if yy_act = 36 then
	yy_column := yy_column + 5
--|#line 71 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 71")
end

			
else
	yy_column := yy_column + 4
--|#line 72 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 72")
end

			
end
end
end
else
if yy_act <= 41 then
if yy_act <= 39 then
if yy_act = 38 then
	yy_column := yy_column + 3
--|#line 73 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 73")
end

			
else
	yy_column := yy_column + 8
--|#line 74 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 74")
end

			
end
else
if yy_act = 40 then
	yy_column := yy_column + 3
--|#line 75 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 75")
end

			
else
	yy_column := yy_column + 4
--|#line 76 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 76")
end

			
end
end
else
if yy_act <= 43 then
if yy_act = 42 then
	yy_column := yy_column + 2
--|#line 77 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 77")
end

			
else
	yy_column := yy_column + 9
--|#line 78 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 78")
end

			
end
else
	yy_column := yy_column + 6
--|#line 79 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 79")
end

			
end
end
end
else
if yy_act <= 51 then
if yy_act <= 48 then
if yy_act <= 46 then
if yy_act = 45 then
	yy_column := yy_column + 8
--|#line 80 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 80")
end

			
else
	yy_column := yy_column + 6
--|#line 81 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 81")
end

			
end
else
if yy_act = 47 then
	yy_column := yy_column + 7
--|#line 82 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 82")
end

			
else
	yy_column := yy_column + 6
--|#line 83 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 83")
end

			
end
end
else
if yy_act <= 50 then
if yy_act = 49 then
	yy_column := yy_column + 6
--|#line 84 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 84")
end

			
else
	yy_column := yy_column + 5
--|#line 85 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 85")
end

			
end
else
	yy_column := yy_column + 6
--|#line 86 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 86")
end

			
end
end
else
if yy_act <= 55 then
if yy_act <= 53 then
if yy_act = 52 then
	yy_column := yy_column + 8
--|#line 87 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 87")
end

			
else
	yy_column := yy_column + 5
--|#line 88 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 88")
end

			
end
else
if yy_act = 54 then
	yy_column := yy_column + 4
--|#line 89 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 89")
end

			
else
	yy_column := yy_column + 4
--|#line 90 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 90")
end

			
end
end
else
if yy_act <= 57 then
if yy_act = 56 then
	yy_column := yy_column + 8
--|#line 91 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 91")
end

			
else
	yy_column := yy_column + 6
--|#line 92 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 92")
end

			
end
else
	yy_column := yy_column + 5
--|#line 93 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 93")
end

			
end
end
end
end
end
else
if yy_act <= 87 then
if yy_act <= 73 then
if yy_act <= 66 then
if yy_act <= 62 then
if yy_act <= 60 then
if yy_act = 59 then
	yy_column := yy_column + 7
--|#line 94 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 94")
end

			
else
	yy_column := yy_column + 4
--|#line 95 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 95")
end

			
end
else
if yy_act = 61 then
	yy_column := yy_column + 3
--|#line 96 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 96")
end

			
else
	yy_column := yy_column + 5
--|#line 98 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 98")
end

				class_keyword_found := True
			
end
end
else
if yy_act <= 64 then
if yy_act = 63 then
	yy_column := yy_column + 6
--|#line 101 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 101")
end

				if use_create_keyword then
					-- Do nothing.
				elseif class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := 6
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
else
	yy_column := yy_column + 9
--|#line 113 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 113")
end

				if use_reference_keyword then
					-- Do nothing.
				elseif class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := 9
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
end
else
if yy_act = 65 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 129 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 129")
end

				if class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := text_count
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 143 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 143")
end

			
end
end
end
else
if yy_act <= 70 then
if yy_act <= 68 then
if yy_act = 67 then
	yy_column := yy_column + 3
--|#line 152 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 152")
end

			
else
	yy_column := yy_column + 4
--|#line 153 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 153")
end

			
end
else
if yy_act = 69 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 154 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 154")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 157 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 157")
end

					-- Syntax error: missing character / at end
					-- of special character specification %/code/.
				column := column + text_count
				error_handler.report_SCAS_error (current_position)
				column := column - text_count
				last_token := E_CHARERR
			
end
end
else
if yy_act <= 72 then
if yy_act = 71 then
	yy_column := yy_column + 3
--|#line 165 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 165")
end

					-- Syntax error: missing ASCII code in
					-- special character specification %/code/.
				column := column + 3
				error_handler.report_SCAC_error (current_position)
				column := column - 3
				last_token := E_CHARERR
			
else
	yy_column := yy_column + 2
--|#line 173 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 173")
end

					-- Syntax error: missing character between quotes.
				column := column + 1
				error_handler.report_SCQQ_error (current_position)
				column := column - 1
				last_token := E_CHARERR
			
end
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 180 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 180")
end

					-- Syntax error: missing quote at
					-- end of character constant.
				column := column + text_count
				error_handler.report_SCEQ_error (current_position)
				column := column - text_count
				last_token := E_CHARERR
			
end
end
end
else
if yy_act <= 80 then
if yy_act <= 77 then
if yy_act <= 75 then
if yy_act = 74 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 192 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 192")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 195 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 195")
end

					-- Verbatim string.
				verbatim_marker := text_substring (2, text_count - 1)
				set_start_condition (VS1)
			
end
else
if yy_act = 76 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 203 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 203")
end

				last_literal_start := 1
				last_literal_end := 0
				set_start_condition (VS2)
			
else
	yy_column := yy_column + 1
--|#line 208 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 208")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
end
end
else
if yy_act <= 79 then
if yy_act = 78 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 222 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 222")
end

				if is_verbatim_string_closer (last_literal_end + 1, text_count - 1) then
					verbatim_marker := Void
					set_start_condition (INITIAL)
				else
					more
					set_start_condition (VS3)
				end
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 231 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 231")
end

				more
				set_start_condition (VS3)
			
end
else
	yy_line := yy_line + 1
	yy_column := 1
--|#line 235 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 235")
end

				more
				last_literal_end := text_count - 2
			
end
end
else
if yy_act <= 84 then
if yy_act <= 82 then
if yy_act = 81 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 239 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 239")
end

				more
				last_literal_end := text_count - 1
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 243 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 243")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
end
else
if yy_act = 83 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 257 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 257")
end

				more
				last_literal_end := text_count - 2
				set_start_condition (VS2)
			
else
	yy_line := yy_line + 1
	yy_column := 1
--|#line 262 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 262")
end

				more
				last_literal_end := text_count - 1
				set_start_condition (VS2)
			
end
end
else
if yy_act <= 86 then
if yy_act = 85 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 267 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 267")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 279 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 279")
end

					-- Manifest string with special characters.
			
end
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 282 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 282")
end

					-- Manifest string with special characters which may be made
					-- up of several lines or may include invalid characters.
					-- Keep track of current line and column.
				ms_line := line
				ms_column := column
				more
				set_start_condition (MS)
			
end
end
end
end
else
if yy_act <= 102 then
if yy_act <= 95 then
if yy_act <= 91 then
if yy_act <= 89 then
if yy_act = 88 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 293 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 293")
end

					-- Multi-line manifest string.
				more
				set_start_condition (MSN)
			
else
	yy_end := yy_start + yy_more_len + 2
	yy_column := yy_column + 2
--|#line 298 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 298")
end

					-- Multi-line manifest string.

					-- Syntax error: no space allowed after character
					-- % at end of line in multi-line manifest strings.
				column := yy_column - 1
				line := yy_line
--				error_handler.report_SSNS_error (current_position)
				column := ms_column
				line := ms_line

				more
				set_start_condition (MSN1)
			
end
else
if yy_act = 90 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 312 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 312")
end

				more
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 315 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 315")
end

					-- Syntax error: missing character / at end of special
					-- character specification %/code/ in manifest string.
				column := yy_column
				line := yy_line
--				error_handler.report_SSAS_error (current_position)
				column := ms_column
				line := ms_line

				more
			
end
end
else
if yy_act <= 93 then
if yy_act = 92 then
	yy_column := yy_column + 2
--|#line 326 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 326")
end

					-- Syntax error: missing ASCII code in special character
					-- specification %/code/ in manifest string.
				column := yy_column
				line := yy_line
--				error_handler.report_SSAC_error (current_position)
				column := ms_column
				line := ms_line

				more
			
else
	yy_column := yy_column + 2
--|#line 337 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 337")
end

					-- Syntax error: special character specification
					-- %l where l is a letter code should be in
					-- upper-case in manifest strings.
				column := yy_column - 1
				line := yy_line
--				error_handler.report_SSCU_error (current_position)
				column := ms_column
				line := ms_line

				more
			
end
else
if yy_act = 94 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 349 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 349")
end

				more
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 352 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 352")
end

				set_start_condition (INITIAL)
			
end
end
end
else
if yy_act <= 99 then
if yy_act <= 97 then
if yy_act = 96 then
	yy_column := yy_column + 2
--|#line 355 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 355")
end

					-- Syntax error: Invalid special character
					-- in manifest strings.
				column := yy_column - 1
				line := yy_line
--				error_handler.report_SSSC_error (current_position)
				column := ms_column
				line := ms_line

				more
			
else
	yy_column := yy_column + 1
--|#line 366 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 366")
end

					-- Syntax error: invalid special character
					-- %l in manifest strings.
				column := yy_column
				line := yy_line
				error_handler.report_SSSC_error (current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
end
else
if yy_act = 98 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 378 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 378")
end

					-- Syntax error: Invalid new-line in manifest string.
				column := 1
				line := yy_line
				error_handler.report_SSNL_error (current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
else
	yy_line := yy_line + 1
	yy_column := 1
--|#line 404 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 404")
end

				more
				set_start_condition (MSN)
			
end
end
else
if yy_act <= 101 then
if yy_act = 100 then
	yy_column := yy_column + 1
--|#line 408 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 408")
end

					-- Should never happen.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 421 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 421")
end

				more
				set_start_condition (MS)
			
end
else
	yy_line := yy_line + 1
	yy_column := 1
--|#line 425 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 425")
end

					-- Syntax error: empty line in middle of
					-- multi-line manifest string.
				column := 1
				line := yy_line - 1
--				error_handler.report_SSEL_error (current_position)
				column := ms_column
				line := ms_line

				more
			
end
end
end
else
if yy_act <= 109 then
if yy_act <= 106 then
if yy_act <= 104 then
if yy_act = 103 then
	yy_column := yy_column + 1
--|#line 436 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 436")
end

					-- Syntax error: missing character % at beginning
					-- of line in multi-line manifest string.
				column := yy_column - 1
				line := yy_line
				error_handler.report_SSNP_error (current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 465 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 465")
end

			
end
else
if yy_act = 105 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 471 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 471")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 473 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 473")
end

			
end
end
else
if yy_act <= 108 then
if yy_act = 107 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 475 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 475")
end

					-- Syntax error: an underscore may not be
					-- the first character of an integer.
				error_handler.report_SIFU_error (current_position)

				last_token := E_INTERR
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 482 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 482")
end

					-- Syntax error: an underscore must be followed
					-- by three digits and there must not be any
					-- consecutive group of four digits.
				error_handler.report_SITD_error (current_position)

				last_token := E_INTERR
			
end
else
	yy_end := yy_end - 1
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 494 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 494")
end

			
end
end
else
if yy_act <= 113 then
if yy_act <= 111 then
if yy_act = 110 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 495 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 495")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 496 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 496")
end

			
end
else
if yy_act = 112 then
	yy_end := yy_end - 1
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 498 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 498")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 499 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 499")
end

			
end
end
else
if yy_act <= 115 then
if yy_act = 114 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 500 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 500")
end

			
else
	yy_column := yy_column + 1
--|#line 510 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 510")
end

				last_token := E_UNKNOWN
			
end
else
yy_set_line_column
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end
last_token := yyError_token
fatal_error ("scanner jammed")
end
end
end
end
end
end
		end

	yy_execute_eof_action (yy_sc: INTEGER) is
			-- Execute EOF semantic action.
		do
			inspect yy_sc
when 0 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end
terminate
when 1 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- Syntax error: missing double quote at
					-- end of manifest string.
				column := yy_column
				line := yy_line
				error_handler.report_SSEQ_error (current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 2 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- Syntax error: missing character % at beginning
					-- of line in multi-line manifest string.
				column := yy_column
				line := yy_line
				error_handler.report_SSNP_error (current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 3 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- Should never happen.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 4 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 5 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 6 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
			else
				terminate
			end
		end

feature {NONE} -- Table templates

	yy_nxt_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yy_fixed_array (<<
			    0,   16,   17,   18,   17,   19,   20,   21,   16,   22,
			   19,   19,   23,   24,   25,   26,   27,   28,   29,   19,
			   30,   31,   32,   33,   34,   35,   36,   37,   38,   38,
			   39,   38,   38,   40,   38,   41,   42,   43,   38,   44,
			   45,   46,   47,   48,   49,   50,   38,   38,   19,   51,
			   19,   52,   32,   33,   34,   35,   37,   38,   40,   41,
			   38,   44,   45,   46,   47,   48,   54,   54,  364,   55,
			   55,   56,   56,   58,   59,   58,   58,   59,   58,   60,
			   74,   75,   60,   62,   63,   62,   62,   63,   62,   65,
			   66,   65,   65,   66,   65,   68,   69,   70,   87,   71,

			   68,   69,   70,   87,   71,   74,   75,   76,   76,   76,
			   76,   76,   76,   79,   86,   80,  104,   77,   84,   85,
			   77,   87,   87,   88,   88,   89,  105,   90,   91,   89,
			  123,   91,   91,   87,   87,   92,   87,   87,  370,   95,
			  127,  116,  371,   72,   96,  270,   97,  117,   72,  100,
			  128,   98,  123,  101,  106,   81,  107,  109,  271,  102,
			  130,  110,  103,   93,  131,   92,  108,   93,  127,   96,
			   97,  125,  128,   98,  111,  112,  129,  100,  101,  106,
			  107,  102,  113,  114,  103,  119,  126,  109,  115,  136,
			  130,  137,  131,  133,  133,  120,  111,  121,  163,  164,

			  129,  122,  153,  154,  112,  155,  188,  114,  126,  463,
			  115,  145,  146,  145,  136,  119,  137,  147,  165,  164,
			  120,  121,  314,  122,  148,  149,  148,  307,  188,  134,
			  138,  139,  140,  141,  138,  142,  138,  142,  142,  142,
			  138,  138,  138,  143,  138,  138,  138,  142,  138,  142,
			  138,  142,  142,  142,  142,  138,  142,  138,  142,  138,
			  138,  138,  142,  138,  142,  138,  138,  142,  142,  142,
			  142,  142,  142,  138,  138,  138,  138,  138,  138,  138,
			  138,  144,  144,  144,  144,  144,  144,  144,  144,  144,
			  144,  144,  144,  144,  144,  150,  151,  150,  156,  153,

			  157,  455,  155,  156,  159,  157,  454,  155,  153,  160,
			   79,  161,   80,  152,   76,   76,   76,  168,  169,  168,
			   76,   79,  452,   80,   77,  174,  174,  178,  178,  173,
			   89,  185,  180,  181,  186,  187,  175,  190,  179,   89,
			   92,  181,  181,  182,  182,  193,  158,  192,  200,  194,
			  195,  158,   81,  201,  198,  214,  196,  215,  199,  186,
			  212,  176,  210,   81,  451,  187,  213,  190,   93,  192,
			   92,  197,  195,  200,  211,  193,  450,   93,  194,  183,
			  199,  225,  212,  201,  227,  214,  196,  215,  213,  231,
			   76,  223,  210,  197,  204,  224,  205,  233,  206,  173,

			  133,  133,  228,  225,  238,  238,  227,  229,  136,  207,
			  137,  231,  208,  133,  133,  239,  223,   80,  230,  233,
			  235,  236,  235,  448,  204,  205,  206,  235,  237,  235,
			  256,  207,  228,  429,  208,  217,  133,  218,  163,  164,
			  230,  145,  146,  145,  419,  219,  257,  147,  220,  134,
			  221,  222,  148,  149,  148,  150,  151,  150,  153,  154,
			  256,  155,  165,  164,  258,  217,  218,  240,  240,  219,
			  220,  272,  221,  222,  159,  154,  257,  155,  156,  153,
			  157,  255,  155,  156,  159,  157,  258,  155,  153,  160,
			  136,  161,  137,  152,  159,  160,  272,  161,  417,  152,

			  168,  169,  168,  241,   79,  255,   80,  243,  243,  242,
			  242,  244,  244,  246,  246,  245,  245,  259,  175,  247,
			  247,  254,  254,  250,  250,  416,  158,  251,  251,  260,
			  248,  158,   89,  277,  252,  253,   89,  261,  253,  253,
			  183,  183,   92,  176,  264,  268,   81,  259,  265,  269,
			  279,  260,  287,  283,  293,  249,  284,  183,  414,  261,
			  350,  289,  266,  277,  288,  291,  264,  268,  295,  301,
			   93,  269,   92,  298,   93,  398,  183,  397,  265,  290,
			  279,  393,  287,  283,  293,  284,  288,  291,  302,  302,
			  350,  289,  295,  301,  391,  298,  235,  236,  235,  245,

			  245,  290,  303,  238,  238,  166,  240,  240,  304,  242,
			  242,  305,  305,  306,  306,  308,  308,  309,  309,  310,
			  310,  327,  175,  311,  311,  312,  312,  372,  248,  251,
			  251,  313,  313,  315,  317,  252,  253,  315,  318,  253,
			  253,  316,  316,   92,  320,  327,  321,  176,  324,  307,
			  326,  372,  328,  249,  329,  343,  317,  331,  336,  338,
			  318,  339,  340,  341,  348,  353,  320,  314,  321,  344,
			  324,  183,  326,   92,  328,  183,  329,  183,  347,  331,
			  336,  338,  351,  354,  343,  341,  339,  340,  355,  348,
			  356,  344,  305,  305,  353,  135,  302,  302,  359,  359,

			  347,  360,  360,  358,  351,  354,  361,  361,  362,  362,
			  311,  311,  374,  355,  363,  363,  365,  365,  373,  248,
			  356,  366,  366,  367,  367,  362,  362,  369,  376,  183,
			  183,  377,  378,  379,  307,  380,  368,  384,  387,  392,
			  373,  374,  394,  396,  249,  399,  395,  400,  400,  403,
			  364,  401,  401,  377,  390,  379,  378,  314,  376,  380,
			  387,  392,  401,  401,  394,   93,  418,  384,  395,  399,
			  402,  402,  389,  396,  176,  362,  362,  405,  405,  406,
			  406,  407,  407,  408,  408,  415,  404,  409,  409,  410,
			  410,  412,  412,  408,  408,  420,  418,  421,  307,  424,

			  422,  423,  413,  425,  426,  430,  427,  415,  428,  431,
			  401,  401,  432,  364,  401,  401,  388,  420,  386,  314,
			  385,  421,  422,  423,  439,  425,  426,  430,  383,  424,
			  427,  445,  428,  431,  432,  433,  433,  434,  434,  436,
			  436,  435,  435,  437,  437,  437,  437,  438,  438,  249,
			  408,  408,  440,  440,  408,  408,  441,  441,  442,  442,
			  444,  445,  443,  443,  446,  447,  453,  439,  382,  449,
			  435,  435,  456,  456,  437,  437,  437,  437,  457,  457,
			  461,  364,  458,  458,  444,  462,  459,  459,  407,  407,
			  447,  381,  249,  449,  446,  375,  453,  443,  443,  439,

			  460,  460,  461,  433,  433,  459,  459,  462,  307,  464,
			  464,  440,  440,  457,  457,  357,  352,  349,  346,  345,
			  342,  337,  335,  334,  249,  333,  332,  330,  325,  323,
			  322,  319,  300,  299,  297,  296,  314,  294,  292,  307,
			  286,  285,  282,  281,  280,  364,  278,  314,  276,  364,
			   53,   53,   53,   53,   53,   53,   53,   53,   53,   53,
			   53,   53,   53,   53,   53,   53,   53,   53,   53,   53,
			   53,   57,   57,   57,   57,   57,   57,   57,   57,   57,
			   57,   57,   57,   57,   57,   57,   57,   57,   57,   57,
			   57,   57,   61,   61,   61,   61,   61,   61,   61,   61,

			   61,   61,   61,   61,   61,   61,   61,   61,   61,   61,
			   61,   61,   61,   64,   64,   64,   64,   64,   64,   64,
			   64,   64,   64,   64,   64,   64,   64,   64,   64,   64,
			   64,   64,   64,   64,   67,   67,   67,   67,   67,   67,
			   67,   67,   67,   67,   67,   67,   67,   67,   67,   67,
			   67,   67,   67,   67,   67,   73,   73,   73,   73,   73,
			   73,   73,   73,   73,   73,   73,   73,   73,   73,   73,
			   73,   73,   73,   73,   73,   73,   78,   78,  275,   78,
			   78,   78,   78,   78,   78,   78,   78,   78,   78,   78,
			   78,   78,   78,   78,   78,   78,   78,   82,  274,  273,

			  267,  263,  262,   82,   82,   82,   82,   82,   82,   82,
			   82,   82,   82,   82,   82,   82,   82,   82,   83,   83,
			  241,   83,   83,   83,   83,   83,   83,   83,   83,   83,
			   83,   83,   83,   83,   83,   83,   83,   83,   83,   94,
			   94,  234,  232,   94,   94,   94,   94,   94,   94,   94,
			   94,  135,  135,  226,  135,  135,  135,  135,  135,  135,
			  135,  135,  135,  135,  135,  135,  135,  135,  135,  135,
			  135,  135,  152,  152,  152,  152,  152,  152,  152,  152,
			  152,  152,  152,  152,  152,  152,  152,  152,  152,  152,
			  152,  152,  152,  158,  158,  158,  158,  158,  158,  158,

			  158,  158,  158,  158,  158,  158,  158,  158,  158,  158,
			  158,  158,  158,  158,  162,  162,  162,  162,  162,  162,
			  162,  162,  162,  162,  162,  162,  162,  162,  162,  162,
			  162,  162,  162,  162,  162,  166,  166,  166,  166,  216,
			  209,  203,  166,  166,  166,  166,  166,  166,  166,  166,
			  166,  171,  171,  202,  171,  171,  171,  171,  171,  171,
			  171,  171,  171,  171,  171,  171,  171,  171,  171,  171,
			  171,  171,   86,   86,   86,   86,   86,   86,   86,   86,
			   86,   86,   86,   86,   86,   86,   86,   86,   86,   86,
			   86,   86,   86,  177,  177,  177,  177,  177,  177,  177,

			  177,  191,  177,  177,  177,  177,  177,  177,  177,  177,
			  177,  177,  177,  177,  135,  135,  135,  135,  189,  184,
			  170,  135,  135,  135,  135,  135,  135,  135,  135,  135,
			  166,  166,  172,  166,  166,  166,  166,  166,  166,  166,
			  166,  166,  166,  166,  166,  166,  166,  166,  166,  166,
			  166,  411,  411,  411,  411,  411,  411,  411,  411,  170,
			  411,  411,  411,  411,  411,  411,  411,  411,  411,  411,
			  411,  411,  167,   86,   87,  132,  124,  118,   99,   87,
			   87,  465,   15,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,

			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465>>)
		end

	yy_chk_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yy_fixed_array (<<
			    0,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    3,    4,  457,    3,
			    4,    3,    4,    5,    5,    5,    6,    6,    6,    5,
			   13,   13,    6,    7,    7,    7,    8,    8,    8,    9,
			    9,    9,   10,   10,   10,   11,   11,   11,   25,   11,

			   12,   12,   12,   25,   12,   14,   14,   17,   17,   17,
			   18,   18,   18,   20,   23,   20,   35,   17,   22,   22,
			   18,   24,   23,   24,   24,   26,   35,   26,   26,   27,
			   43,   27,   27,   29,   29,   26,   30,   30,  321,   32,
			   46,   40,  321,   11,   32,  202,   32,   40,   12,   34,
			   46,   32,   43,   34,   36,   20,   36,   37,  202,   34,
			   48,   37,   34,   26,   49,   26,   36,   27,   46,   32,
			   32,   45,   46,   32,   37,   39,   47,   34,   34,   36,
			   36,   34,   39,   39,   34,   42,   45,   37,   39,   53,
			   48,   53,   49,   52,   52,   42,   37,   42,   73,   73,

			   47,   42,   67,   67,   39,   67,   99,   39,   45,  453,
			   39,   58,   58,   58,  135,   42,  135,   58,   75,   75,
			   42,   42,  440,   42,   62,   62,   62,  433,   99,   52,
			   56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
			   56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
			   56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
			   56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
			   56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
			   56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
			   56,   56,   56,   56,   56,   65,   65,   65,   68,   68,

			   68,  431,   68,   70,   70,   70,  430,   70,   72,   72,
			   78,   72,   78,   72,   76,   76,   76,   81,   81,   81,
			   86,   81,  427,   81,   76,   88,   88,   89,   89,   86,
			   90,   96,   90,   90,   96,   97,   88,  101,   89,   91,
			   90,   91,   91,   93,   93,  104,   68,  103,  109,  104,
			  106,   70,   78,  110,  108,  120,  107,  121,  108,   96,
			  118,   88,  117,   81,  426,   97,  119,  101,   90,  103,
			   90,  107,  106,  109,  117,  104,  425,   91,  104,   93,
			  108,  126,  118,  110,  128,  120,  107,  121,  119,  130,
			  173,  125,  117,  107,  114,  125,  114,  132,  114,  173,

			  133,  133,  129,  126,  143,  143,  128,  129,  142,  114,
			  142,  130,  114,  134,  134,  166,  125,  166,  129,  132,
			  139,  139,  139,  421,  114,  114,  114,  141,  141,  141,
			  185,  114,  129,  392,  114,  124,  133,  124,  162,  162,
			  129,  145,  145,  145,  379,  124,  189,  145,  124,  134,
			  124,  124,  148,  148,  148,  150,  150,  150,  152,  152,
			  185,  152,  164,  164,  190,  124,  124,  167,  167,  124,
			  124,  203,  124,  124,  154,  154,  189,  154,  156,  156,
			  156,  184,  156,  157,  157,  157,  190,  157,  158,  158,
			  303,  158,  303,  158,  160,  160,  203,  160,  376,  160,

			  168,  168,  168,  172,  168,  184,  168,  174,  174,  172,
			  172,  175,  175,  176,  176,  175,  175,  191,  174,  178,
			  178,  182,  182,  179,  179,  373,  156,  179,  179,  192,
			  178,  157,  180,  208,  180,  180,  181,  193,  181,  181,
			  183,  183,  180,  174,  197,  200,  168,  191,  198,  201,
			  210,  192,  219,  216,  224,  178,  216,  182,  371,  193,
			  292,  221,  198,  208,  220,  222,  197,  200,  226,  232,
			  180,  201,  180,  229,  181,  354,  183,  353,  198,  221,
			  210,  347,  219,  216,  224,  216,  220,  222,  234,  234,
			  292,  221,  226,  232,  345,  229,  235,  235,  235,  244,

			  244,  221,  238,  238,  238,  240,  240,  240,  242,  242,
			  242,  243,  243,  245,  245,  246,  246,  247,  247,  248,
			  248,  265,  243,  248,  248,  249,  249,  322,  247,  250,
			  250,  251,  251,  252,  255,  252,  252,  253,  256,  253,
			  253,  254,  254,  252,  258,  265,  259,  243,  262,  245,
			  264,  322,  266,  247,  267,  285,  255,  269,  275,  277,
			  256,  279,  281,  283,  290,  297,  258,  251,  259,  286,
			  262,  252,  264,  252,  266,  253,  267,  254,  289,  269,
			  275,  277,  293,  298,  285,  283,  279,  281,  299,  290,
			  300,  286,  305,  305,  297,  302,  302,  302,  306,  306,

			  289,  307,  307,  305,  293,  298,  308,  308,  309,  309,
			  310,  310,  325,  299,  311,  311,  312,  312,  324,  309,
			  300,  313,  313,  314,  314,  315,  315,  316,  327,  316,
			  316,  328,  329,  331,  306,  332,  315,  337,  341,  346,
			  324,  325,  348,  351,  309,  356,  350,  358,  358,  361,
			  311,  358,  358,  328,  344,  331,  329,  313,  327,  332,
			  341,  346,  359,  359,  348,  316,  378,  337,  350,  356,
			  360,  360,  343,  351,  361,  362,  362,  363,  363,  364,
			  364,  365,  365,  366,  366,  372,  362,  367,  367,  368,
			  368,  369,  369,  368,  368,  381,  378,  382,  359,  385,

			  383,  384,  369,  386,  387,  396,  389,  372,  390,  397,
			  400,  400,  399,  363,  401,  401,  342,  381,  340,  366,
			  338,  382,  383,  384,  407,  386,  387,  396,  336,  385,
			  389,  416,  390,  397,  399,  402,  402,  403,  403,  404,
			  404,  403,  403,  404,  404,  405,  405,  406,  406,  407,
			  408,  408,  409,  409,  410,  410,  412,  412,  413,  413,
			  414,  416,  413,  413,  417,  418,  428,  412,  334,  424,
			  434,  434,  435,  435,  436,  436,  437,  437,  438,  438,
			  449,  405,  439,  439,  414,  451,  439,  439,  441,  441,
			  418,  333,  412,  424,  417,  326,  428,  442,  442,  441,

			  443,  443,  449,  456,  456,  458,  458,  451,  435,  459,
			  459,  460,  460,  464,  464,  304,  294,  291,  288,  287,
			  284,  276,  274,  273,  441,  272,  271,  268,  263,  261,
			  260,  257,  231,  230,  228,  227,  443,  225,  223,  456,
			  218,  217,  215,  213,  211,  459,  209,  460,  207,  464,
			  466,  466,  466,  466,  466,  466,  466,  466,  466,  466,
			  466,  466,  466,  466,  466,  466,  466,  466,  466,  466,
			  466,  467,  467,  467,  467,  467,  467,  467,  467,  467,
			  467,  467,  467,  467,  467,  467,  467,  467,  467,  467,
			  467,  467,  468,  468,  468,  468,  468,  468,  468,  468,

			  468,  468,  468,  468,  468,  468,  468,  468,  468,  468,
			  468,  468,  468,  469,  469,  469,  469,  469,  469,  469,
			  469,  469,  469,  469,  469,  469,  469,  469,  469,  469,
			  469,  469,  469,  469,  470,  470,  470,  470,  470,  470,
			  470,  470,  470,  470,  470,  470,  470,  470,  470,  470,
			  470,  470,  470,  470,  470,  471,  471,  471,  471,  471,
			  471,  471,  471,  471,  471,  471,  471,  471,  471,  471,
			  471,  471,  471,  471,  471,  471,  472,  472,  206,  472,
			  472,  472,  472,  472,  472,  472,  472,  472,  472,  472,
			  472,  472,  472,  472,  472,  472,  472,  473,  205,  204,

			  199,  195,  194,  473,  473,  473,  473,  473,  473,  473,
			  473,  473,  473,  473,  473,  473,  473,  473,  474,  474,
			  171,  474,  474,  474,  474,  474,  474,  474,  474,  474,
			  474,  474,  474,  474,  474,  474,  474,  474,  474,  475,
			  475,  137,  131,  475,  475,  475,  475,  475,  475,  475,
			  475,  476,  476,  127,  476,  476,  476,  476,  476,  476,
			  476,  476,  476,  476,  476,  476,  476,  476,  476,  476,
			  476,  476,  477,  477,  477,  477,  477,  477,  477,  477,
			  477,  477,  477,  477,  477,  477,  477,  477,  477,  477,
			  477,  477,  477,  478,  478,  478,  478,  478,  478,  478,

			  478,  478,  478,  478,  478,  478,  478,  478,  478,  478,
			  478,  478,  478,  478,  479,  479,  479,  479,  479,  479,
			  479,  479,  479,  479,  479,  479,  479,  479,  479,  479,
			  479,  479,  479,  479,  479,  480,  480,  480,  480,  123,
			  116,  113,  480,  480,  480,  480,  480,  480,  480,  480,
			  480,  481,  481,  111,  481,  481,  481,  481,  481,  481,
			  481,  481,  481,  481,  481,  481,  481,  481,  481,  481,
			  481,  481,  482,  482,  482,  482,  482,  482,  482,  482,
			  482,  482,  482,  482,  482,  482,  482,  482,  482,  482,
			  482,  482,  482,  483,  483,  483,  483,  483,  483,  483,

			  483,  102,  483,  483,  483,  483,  483,  483,  483,  483,
			  483,  483,  483,  483,  484,  484,  484,  484,  100,   95,
			   85,  484,  484,  484,  484,  484,  484,  484,  484,  484,
			  485,  485,   84,  485,  485,  485,  485,  485,  485,  485,
			  485,  485,  485,  485,  485,  485,  485,  485,  485,  485,
			  485,  486,  486,  486,  486,  486,  486,  486,  486,   83,
			  486,  486,  486,  486,  486,  486,  486,  486,  486,  486,
			  486,  486,   80,   77,   51,   50,   44,   41,   33,   31,
			   28,   15,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,

			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465>>)
		end

	yy_base_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yy_fixed_array (<<
			    0,    0,    0,   63,   64,   71,   74,   81,   84,   87,
			   90,   93,   98,   77,  102, 1381, 1382,  105,  108, 1382,
			  107,    0,  110,  102,  108,   84,  112,  116, 1361,  115,
			  117, 1360,  111, 1348,  120,   90,  121,  135,    0,  148,
			  111, 1341,  162,   91, 1350,  145,  111,  141,  138,  135,
			 1339, 1325,  178,  183, 1382, 1382,  229, 1382,  209, 1382,
			 1382, 1382,  222, 1382, 1382,  293, 1382,  199,  296, 1382,
			  301, 1382,  305,  195, 1382,  215,  312, 1361,  304, 1382,
			 1358,  315,    0, 1350, 1318, 1311,  317, 1382,  310,  312,
			  317,  326, 1382,  328,    0, 1293,  301,  310,    0,  165,

			 1292,  315, 1275,  308,  322,    0,  310,  331,  317,  315,
			  331, 1217,    0, 1204,  369,    0, 1208,  338,  319,  326,
			  330,  333,    0, 1213,  410,  358,  342, 1127,  342,  377,
			  350, 1116,  358,  385,  398,  208, 1382, 1127, 1382,  418,
			 1382,  425,  402,  389, 1382,  439, 1382, 1382,  450, 1382,
			  453, 1382,  455, 1382,  471, 1382,  476,  481,  485, 1382,
			  491, 1382,  435, 1382,  459, 1382,  409,  452,  498, 1382,
			 1382, 1111,  494,  387,  492,  500,  498, 1382,  504,  512,
			  519,  523,  506,  525,  446,  408,    0,    0,    0,  422,
			  424,  495,  490,  495, 1076, 1075,    0,  502,  526, 1074,

			  505,  508,  111,  438, 1073, 1068, 1052,  911,  511,  920,
			  528,  907,    0,  907,    0,  916,  529,  915,  914,  530,
			  522,  537,  526,  912,  532,  907,  533,  909,  908,  535,
			  903,  902,  534,    0,  573,  594, 1382, 1382,  588, 1382,
			  591, 1382,  594,  596,  584,  598,  600,  602,  608,  610,
			  614,  616,  620,  624,  626,  593,  598,  899,  604,  605,
			  904,  901,  609,  898,  611,  586,  613,  615,  901,  615,
			    0,  900,  895,  878,  877,  619,  895,  620,    0,  628,
			    0,  629,    0,  621,  890,  628,  630,  885,  888,  636,
			  631,  871,  536,  643,  879,    0,    0,  638,  641,  655,

			  668,    0,  681,  484,  906,  677,  683,  686,  691,  693,
			  695,  699,  701,  706,  708,  710,  714,    0,    0,    0,
			    0,  112,  592,    0,  679,  685,  869,  703,  690,  697,
			    0,  694,  700,  865,  838,    0,  798,  713,  790,    0,
			  792,  699,  771,  742,  728,  568,  700,  555,  701,    0,
			  705,  721,    0,  547,  549,    0,  710, 1382,  736,  747,
			  755,  723,  760,  762,  764,  766,  768,  772,  778,  776,
			    0,  522,  744,  499,    0,    0,  472,    0,  744,  418,
			    0,  755,  762,  759,  760,  777,  762,  764,    0,  771,
			  773,    0,  407,    0,    0,    0,  764,  774,    0,  771,

			  795,  799,  820,  826,  828,  830,  832,  798,  835,  837,
			  839, 1382,  841,  847,  825,    0,  806,  839,  832,    0,
			    0,  395,    0,    0,  834,  350,  328,  296,  842,    0,
			  280,  275,    0,  176,  855,  857,  859,  861,  863,  871,
			  171,  873,  882,  885,    0,    0,    0,    0,    0,  839,
			    0,  846,    0,  183,    0,    0,  888,   17,  890,  894,
			  896,    0,    0,    0,  898, 1382,  949,  970,  991, 1012,
			 1033, 1054, 1075, 1096, 1117, 1129, 1150, 1171, 1192, 1213,
			 1230, 1250, 1271, 1292, 1309, 1329, 1350>>)
		end

	yy_def_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yy_fixed_array (<<
			    0,  465,    1,  466,  466,  467,  467,  468,  468,  469,
			  469,  470,  470,  471,  471,  465,  465,  465,  465,  465,
			  472,  473,  474,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  465,  465,  476,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  477,  477,  465,
			  477,  465,  478,  479,  465,  479,  465,  465,  472,  465,
			  480,  472,  473,  465,  481,  465,  482,  465,  465,  483,
			  465,  465,  465,  465,  475,  475,  475,  475,  475,  475,

			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  465,  465,  476,  465,  484,  465,  465,
			  465,  465,  476,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  477,  465,  477,  465,  477,  477,  478,  465,
			  478,  465,  479,  465,  479,  465,  485,  465,  472,  465,
			  465,  465,  465,  482,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,

			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,

			  475,  475,  465,  476,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  483,  465,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  486,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,

			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  475,  475,  475,  475,  475,  475,
			  475,  475,  475,  475,  475,  475,  465,  465,  465,  465,
			  465,  475,  475,  475,  465,    0,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465,  465,  465,  465,
			  465,  465,  465,  465,  465,  465,  465>>)
		end

	yy_ec_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yy_fixed_array (<<
			    0,    1,    1,    1,    1,    1,    1,    1,    1,    2,
			    3,    1,    1,    4,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    2,    5,    6,    7,    5,    8,    7,    9,
			   10,   10,    5,   11,    5,   12,   13,   14,   15,   15,
			   16,   16,   16,   16,   16,   16,   16,   16,   17,    5,
			   18,   19,   20,   21,    7,   22,   23,   24,   25,   26,
			   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,
			   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,
			   47,   48,   49,   50,    5,   51,    1,   52,   53,   54,

			   55,   26,   56,   28,   57,   30,   31,   32,   58,   34,
			   59,   36,   37,   60,   61,   62,   63,   64,   65,   44,
			   45,   46,   47,    5,    7,    5,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1>>)
		end

	yy_meta_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yy_fixed_array (<<
			    0,    1,    2,    3,    4,    1,    5,    1,    6,    7,
			    8,    1,    1,    9,    7,   10,   11,    1,   12,    1,
			   13,    1,   14,   14,   14,   15,   10,   16,   10,   17,
			   10,   10,   10,   18,   10,   19,   10,   10,   14,   14,
			   14,   14,   14,   20,   10,   10,   10,   21,    1,    1,
			    1,   10,   10,   10,   10,   10,   10,   10,   10,   10,
			   10,   10,   10,   10,   10,   10>>)
		end

	yy_accept_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yy_fixed_array (<<
			    0,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    2,    3,    4,    5,    6,    8,   11,   13,
			   16,   19,   22,   25,   28,   31,   34,   38,   42,   45,
			   48,   51,   54,   57,   60,   63,   66,   69,   72,   75,
			   78,   81,   84,   87,   90,   93,   96,   99,  102,  105,
			  108,  111,  113,  115,  117,  119,  121,  123,  125,  127,
			  129,  132,  134,  136,  138,  140,  142,  144,  146,  148,
			  150,  152,  154,  156,  158,  160,  162,  163,  163,  164,
			  166,  166,  168,  169,  170,  171,  173,  174,  175,  177,
			  177,  179,  181,  182,  183,  184,  185,  186,  187,  189,

			  190,  191,  192,  193,  194,  195,  197,  198,  199,  200,
			  201,  202,  203,  205,  206,  207,  209,  210,  211,  212,
			  213,  214,  215,  217,  218,  219,  220,  221,  222,  223,
			  224,  225,  226,  227,  229,  230,  231,  232,  232,  233,
			  234,  235,  236,  238,  240,  242,  242,  243,  244,  244,
			  245,  245,  246,  247,  248,  249,  250,  251,  252,  253,
			  255,  256,  258,  259,  260,  261,  263,  264,  264,  265,
			  266,  267,  268,  270,  271,  273,  273,  273,  274,  276,
			  277,  279,  281,  282,  283,  284,  285,  287,  289,  291,
			  292,  293,  294,  295,  296,  297,  298,  300,  301,  302,

			  303,  304,  305,  306,  307,  308,  309,  310,  311,  312,
			  313,  314,  315,  317,  318,  320,  321,  322,  323,  324,
			  325,  326,  327,  328,  329,  330,  331,  332,  333,  334,
			  335,  336,  337,  338,  340,  340,  340,  341,  343,  344,
			  345,  345,  346,  347,  349,  349,  351,  351,  353,  353,
			  353,  353,  355,  357,  359,  360,  361,  362,  363,  364,
			  365,  366,  367,  368,  370,  371,  372,  373,  374,  375,
			  376,  378,  379,  380,  381,  382,  383,  384,  385,  387,
			  388,  390,  391,  393,  394,  395,  396,  397,  398,  399,
			  400,  401,  402,  403,  404,  405,  407,  409,  410,  411,

			  412,  413,  415,  415,  417,  418,  419,  421,  421,  421,
			  423,  423,  427,  427,  429,  429,  429,  431,  433,  435,
			  437,  439,  440,  441,  443,  444,  445,  446,  447,  448,
			  449,  451,  452,  453,  454,  455,  457,  458,  459,  460,
			  462,  463,  464,  465,  466,  467,  468,  469,  470,  471,
			  473,  474,  475,  477,  478,  479,  481,  482,  483,  483,
			  485,  485,  486,  487,  491,  491,  491,  493,  493,  494,
			  494,  496,  497,  498,  499,  501,  503,  504,  506,  507,
			  508,  510,  511,  512,  513,  514,  515,  516,  517,  519,
			  520,  521,  523,  524,  526,  528,  530,  531,  532,  534,

			  535,  535,  536,  536,  536,  536,  540,  540,  541,  542,
			  542,  542,  543,  544,  545,  546,  548,  549,  550,  551,
			  553,  555,  556,  558,  560,  561,  562,  563,  564,  565,
			  567,  568,  569,  571,  572,  572,  573,  573,  575,  575,
			  575,  576,  577,  577,  578,  580,  582,  584,  586,  588,
			  589,  591,  592,  594,  595,  597,  599,  600,  602,  602,
			  604,  605,  607,  609,  611,  613,  613>>)
		end

	yy_acclist_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yy_fixed_array (<<
			    0,   82,   82,   85,   85,  117,  115,  116,    1,  115,
			  116,    1,  116,    2,  115,  116,   87,  115,  116,   66,
			  115,  116,   73,  115,  116,    2,  115,  116,    2,  115,
			  116,    2,  115,  116,  105,  108,  115,  116,  105,  108,
			  115,  116,    2,  115,  116,    2,  115,  116,    2,  115,
			  116,    2,  115,  116,   65,  115,  116,   65,  115,  116,
			   65,  115,  116,   65,  115,  116,   65,  115,  116,   65,
			  115,  116,   65,  115,  116,   65,  115,  116,   65,  115,
			  116,   65,  115,  116,   65,  115,  116,   65,  115,  116,
			   65,  115,  116,   65,  115,  116,   65,  115,  116,   65,

			  115,  116,   65,  115,  116,   65,  115,  116,   65,  115,
			  116,  115,  116,  115,  116,   94,  116,   98,  116,   95,
			  116,   97,  116,  103,  116,  103,  116,  102,  116,  101,
			  103,  116,  100,  116,  100,  116,   99,  116,   77,  116,
			   77,  116,   76,  116,   82,  116,   82,  116,   81,  116,
			   82,  116,   79,  116,   82,  116,   85,  116,   84,  116,
			   85,  116,    1,   87,   74,   86,   87, -191,   66,   73,
			   73,   72,   73,    1,    3,  111,  114,  105,  108,  105,
			  108,  104,  108,   65,   65,   65,   65,    8,   65,   65,
			   65,   65,   65,   65,   65,   15,   65,   65,   65,   65,

			   65,   65,   65,   27,   65,   65,   65,   34,   65,   65,
			   65,   65,   65,   65,   65,   42,   65,   65,   65,   65,
			   65,   65,   65,   65,   65,   65,   65,  107,  108,  107,
			   94,   95,   96,   96,   88,   96,   94,   96,   92,   96,
			   93,   96,  102,  101,   99,   76,   82,   81,   82,   79,
			   82,   82,   82,   80,   81,   82,   78,   79,   85,   84,
			   85,   83,   84,   87,   87,  -75,   67,   73,   71,   73,
			    1,  111,  114,  109,  111,  114,  109,  105,  108,  105,
			  108,  108,  108,   65,   65,    6,   65,    7,   65,    9,
			   65,   65,   65,   65,   65,   65,   65,   65,   18,   65,

			   65,   65,   65,   65,   65,   65,   65,   65,   65,   65,
			   65,   65,   65,   65,   65,   38,   65,   65,   40,   65,
			   65,   65,   65,   65,   65,   65,   65,   65,   65,   65,
			   65,   65,   65,   65,   65,   65,   65,   65,   61,   65,
			   89,   88,   89,   91,   86,   68,   70,  111,  114,  111,
			  114,  111,  114,  110,  113,  105,  108,  105,  108,  108,
			   65,   65,   65,   65,   65,   65,   65,   65,   16,   65,
			   65,   65,   65,   65,   65,   65,   25,   65,   65,   65,
			   65,   65,   65,   65,   65,   35,   65,   65,   37,   65,
			   65,   41,   65,   65,   65,   65,   65,   65,   65,   65,

			   65,   65,   65,   65,   65,   54,   65,   55,   65,   65,
			   65,   65,   65,   60,   65,   90,   94,   73,  111,  111,
			  114,  111,  114,  110,  111,  113,  114,  110,  113,  106,
			  108,    4,   65,    5,   65,   10,   65,   62,   65,   65,
			   65,   13,   65,   65,   65,   65,   65,   65,   65,   23,
			   65,   65,   65,   65,   65,   30,   65,   65,   65,   65,
			   36,   65,   65,   65,   65,   65,   65,   65,   65,   65,
			   65,   50,   65,   65,   65,   53,   65,   65,   65,   58,
			   65,   65,   69,  111,  114,  114,  111,  110,  111,  113,
			  114,  110,  113,  109,   63,   65,   65,   65,   65,   17,

			   65,   19,   65,   65,   21,   65,   65,   65,   26,   65,
			   65,   65,   65,   65,   65,   65,   65,   44,   65,   65,
			   65,   46,   65,   65,   48,   65,   49,   65,   51,   65,
			   65,   65,   57,   65,   65,  111,  110,  111,  113,  114,
			  114,  110,  112,  114,  112,   65,   12,   65,   65,   65,
			   65,   24,   65,   28,   65,   65,   31,   65,   32,   65,
			   65,   65,   65,   65,   65,   47,   65,   65,   65,   59,
			   65,  114,  114,  110,  111,  113,  114,  113,   11,   65,
			   14,   65,   20,   65,   22,   65,   29,   65,   65,   39,
			   65,   65,   45,   65,   65,   52,   65,   56,   65,  114,

			  113,  114,  113,  114,  113,   33,   65,   43,   65,   64,
			   65,  113,  114>>)
		end

feature {NONE} -- Constants

	yyJam_base: INTEGER is 1382
			-- Position in `yy_nxt'/`yy_chk' tables
			-- where default jam table starts

	yyJam_state: INTEGER is 465
			-- State id corresponding to jam state

	yyTemplate_mark: INTEGER is 466
			-- Mark between normal states and templates

	yyNull_equiv_class: INTEGER is 1
			-- Equivalence code for NULL character

	yyReject_used: BOOLEAN is false
			-- Is `reject' called?

	yyVariable_trail_context: BOOLEAN is true
			-- Is there a regular expression with
			-- both leading and trailing parts having
			-- variable length?

	yyReject_or_variable_trail_context: BOOLEAN is true
			-- Is `reject' called or is there a
			-- regular expression with both leading
			-- and trailing parts having variable length?

	yyNb_rules: INTEGER is 116
			-- Number of rules

	yyEnd_of_buffer: INTEGER is 117
			-- End of buffer rule code

	yyLine_used: BOOLEAN is true
			-- Are line and column numbers used?

	yyPosition_used: BOOLEAN is false
			-- Is `position' used?

	INITIAL: INTEGER is 0
	MS: INTEGER is 1
	MSN: INTEGER is 2
	MSN1: INTEGER is 3
	VS1: INTEGER is 4
	VS2: INTEGER is 5
	VS3: INTEGER is 6
			-- Start condition codes

feature -- User-defined features



end
