indexing

	description:

		"Lace parsers"
  
	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 1999-2002, Eric Bezault and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/06/21 13:24:41 $"
	revision: "$Revision: 1.6 $"

class ET_LACE_PARSER

inherit

	ET_LACE_PARSER_SKELETON

	ET_LACE_SCANNER
		rename
			make as make_lace_scanner
		end

creation

	make, make_with_factory


feature {NONE} -- Implementation

	yy_build_parser_tables is
			-- Build parser tables.
		do
			yytranslate ?= yytranslate_template
			yyr1 ?= yyr1_template
			yyr2 ?= yyr2_template
			yydefact ?= yydefact_template
			yydefgoto ?= yydefgoto_template
			yypact ?= yypact_template
			yypgoto ?= yypgoto_template
			yytable ?= yytable_template
			yycheck ?= yycheck_template
		end

feature {NONE} -- Semantic actions

	yy_do_action (yy_act: INTEGER) is
			-- Execute semantic action.
		local
			yyval3: ET_LACE_CLUSTERS
			yyval2: ET_LACE_CLUSTER
			yyval4: ET_LACE_EXCLUDE
			yyval1: ET_IDENTIFIER
		do
			inspect yy_act
when 1 then
--|#line 47 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 47")
end
			yyval := yyval_default;
			last_universe := new_universe (yytype3 (yyvs.item (yyvsp - 3)))
			last_universe.set_root_class (yytype1 (yyvs.item (yyvsp - 7)))
		

when 2 then
--|#line 55 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 55")
end
			yyval := yyval_default;


when 3 then
--|#line 56 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 56")
end
			yyval := yyval_default;


when 4 then
--|#line 59 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 59")
end
			yyval := yyval_default;


when 5 then
--|#line 60 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 60")
end
			yyval := yyval_default;


when 6 then
--|#line 63 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 63")
end
			yyval := yyval_default;


when 7 then
--|#line 64 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 64")
end
			yyval := yyval_default;


when 8 then
--|#line 67 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 67")
end
			yyval := yyval_default;


when 9 then
--|#line 68 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 68")
end
			yyval := yyval_default;


when 10 then
--|#line 71 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 71")
end
			yyval := yyval_default;


when 11 then
--|#line 72 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 72")
end
			yyval := yyval_default;


when 12 then
--|#line 75 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 75")
end
			yyval := yyval_default;


when 13 then
--|#line 78 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 78")
end
			yyval := yyval_default;


when 14 then
--|#line 79 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 79")
end
			yyval := yyval_default;


when 15 then
--|#line 82 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 82")
end
			yyval := yyval_default;


when 16 then
--|#line 83 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 83")
end
			yyval := yyval_default;


when 17 then
--|#line 86 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 86")
end


			yyval := yyval3
when 18 then
--|#line 88 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 88")
end


			yyval := yyval3
when 19 then
--|#line 90 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 90")
end

yyval3 := yytype3 (yyvs.item (yyvsp - 1)) 
			yyval := yyval3
when 20 then
--|#line 94 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 94")
end

yyval3 := new_clusters (yytype2 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 21 then
--|#line 96 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 96")
end

			add_subcluster (yytype1 (yyvs.item (yyvsp - 6)), yytype1 (yyvs.item (yyvsp - 4)), yytype1 (yyvs.item (yyvsp - 1)), yytype4 (yyvs.item (yyvsp)))
			-- TODO:
			abort
		
			yyval := yyval3
when 22 then
--|#line 102 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 102")
end

yyval3 := yytype3 (yyvs.item (yyvsp - 2)); yyval3.put_last (yytype2 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 23 then
--|#line 104 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 104")
end

			yyval3 := yytype3 (yyvs.item (yyvsp - 8))
			add_subcluster (yytype1 (yyvs.item (yyvsp - 6)), yytype1 (yyvs.item (yyvsp - 4)), yytype1 (yyvs.item (yyvsp - 1)), yytype4 (yyvs.item (yyvsp)))
		
			yyval := yyval3
when 24 then
--|#line 111 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 111")
end

yyval2 := yytype2 (yyvs.item (yyvsp)); yyval2.set_abstract (True) 
			yyval := yyval2
when 25 then
--|#line 113 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 113")
end

yyval2 := yytype2 (yyvs.item (yyvsp)); yyval2.set_recursive (True) 
			yyval := yyval2
when 26 then
--|#line 115 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 115")
end

yyval2 := yytype2 (yyvs.item (yyvsp)) 
			yyval := yyval2
when 27 then
--|#line 119 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 119")
end

			yyval2 := new_cluster (yytype1 (yyvs.item (yyvsp - 4)), yytype1 (yyvs.item (yyvsp - 2)))
			yyval2.set_exclude (yytype4 (yyvs.item (yyvsp - 1)))
			yyval2.set_subclusters (yytype3 (yyvs.item (yyvsp)))
		
			yyval := yyval2
when 28 then
--|#line 125 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 125")
end

			yyval2 := new_cluster (yytype1 (yyvs.item (yyvsp - 2)), Void)
			yyval2.set_exclude (yytype4 (yyvs.item (yyvsp - 1)))
			yyval2.set_subclusters (yytype3 (yyvs.item (yyvsp)))
		
			yyval := yyval2
when 29 then
--|#line 133 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 133")
end

			yyval2 := new_cluster (yytype1 (yyvs.item (yyvsp - 3)), yytype1 (yyvs.item (yyvsp - 1)))
			yyval2.set_exclude (yytype4 (yyvs.item (yyvsp)))
		
			yyval := yyval2
when 30 then
--|#line 140 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 140")
end
			yyval := yyval_default;


when 31 then
--|#line 141 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 141")
end
			yyval := yyval_default;


when 32 then
--|#line 144 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 144")
end
			yyval := yyval_default;


when 33 then
--|#line 145 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 145")
end
			yyval := yyval_default;


when 34 then
--|#line 148 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 148")
end


			yyval := yyval3
when 35 then
--|#line 150 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 150")
end


			yyval := yyval3
when 36 then
--|#line 152 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 152")
end

yyval3 := yytype3 (yyvs.item (yyvsp - 2)) 
			yyval := yyval3
when 37 then
--|#line 156 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 156")
end

yyval3 := new_clusters (yytype2 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 38 then
--|#line 158 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 158")
end

yyval3 := yytype3 (yyvs.item (yyvsp - 2)); yyval3.put_last (yytype2 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 39 then
--|#line 162 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 162")
end

yyval2 := yytype2 (yyvs.item (yyvsp)); yyval2.set_abstract (True) 
			yyval := yyval2
when 40 then
--|#line 164 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 164")
end

yyval2 := yytype2 (yyvs.item (yyvsp)) 
			yyval := yyval2
when 41 then
--|#line 168 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 168")
end


			yyval := yyval4
when 42 then
--|#line 170 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 170")
end

yyval4 := yytype4 (yyvs.item (yyvsp - 3)) 
			yyval := yyval4
when 43 then
--|#line 172 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 172")
end


			yyval := yyval4
when 44 then
--|#line 174 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 174")
end


			yyval := yyval4
when 45 then
--|#line 178 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 178")
end


			yyval := yyval4
when 46 then
--|#line 179 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 179")
end

yyval4 := yytype4 (yyvs.item (yyvsp)) 
			yyval := yyval4
when 47 then
--|#line 181 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 181")
end

yyval4 := yytype4 (yyvs.item (yyvsp - 1)) 
			yyval := yyval4
when 48 then
--|#line 185 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 185")
end

!! yyval4.make yyval4.put_last (yytype1 (yyvs.item (yyvsp))) 
			yyval := yyval4
when 49 then
--|#line 187 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 187")
end

yyval4 := yytype4 (yyvs.item (yyvsp - 2)); yyval4.put_last (yytype1 (yyvs.item (yyvsp))) 
			yyval := yyval4
when 50 then
--|#line 191 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 191")
end
			yyval := yyval_default;


when 51 then
--|#line 192 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 192")
end
			yyval := yyval_default;


when 52 then
--|#line 195 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 195")
end
			yyval := yyval_default;


when 53 then
--|#line 196 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 196")
end
			yyval := yyval_default;


when 54 then
--|#line 199 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 199")
end
			yyval := yyval_default;


when 55 then
--|#line 200 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 200")
end
			yyval := yyval_default;


when 56 then
--|#line 203 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 203")
end
			yyval := yyval_default;


when 57 then
--|#line 207 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 207")
end
			yyval := yyval_default;


when 58 then
--|#line 208 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 208")
end
			yyval := yyval_default;


when 59 then
--|#line 211 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 211")
end
			yyval := yyval_default;


when 60 then
--|#line 212 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 212")
end
			yyval := yyval_default;


when 61 then
--|#line 215 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 215")
end
			yyval := yyval_default;


when 62 then
--|#line 216 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 216")
end
			yyval := yyval_default;


when 63 then
--|#line 219 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 219")
end
			yyval := yyval_default;


when 64 then
--|#line 220 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 220")
end
			yyval := yyval_default;


when 65 then
--|#line 221 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 221")
end
			yyval := yyval_default;


when 66 then
--|#line 224 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 224")
end
			yyval := yyval_default;


when 67 then
--|#line 225 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 225")
end
			yyval := yyval_default;


when 68 then
--|#line 228 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 228")
end
			yyval := yyval_default;


when 69 then
--|#line 229 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 229")
end
			yyval := yyval_default;


when 70 then
--|#line 232 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 232")
end
			yyval := yyval_default;


when 71 then
--|#line 233 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 233")
end
			yyval := yyval_default;


when 72 then
--|#line 236 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 236")
end
			yyval := yyval_default;


when 73 then
--|#line 237 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 237")
end
			yyval := yyval_default;


when 74 then
--|#line 240 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 240")
end
			yyval := yyval_default;


when 75 then
--|#line 241 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 241")
end
			yyval := yyval_default;


when 76 then
--|#line 244 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 244")
end
			yyval := yyval_default;


when 77 then
--|#line 245 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 245")
end
			yyval := yyval_default;


when 78 then
--|#line 246 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 246")
end
			yyval := yyval_default;


when 79 then
--|#line 249 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 249")
end

yyval1 := yytype1 (yyvs.item (yyvsp)) 
			yyval := yyval1
when 80 then
--|#line 251 "et_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'et_lace_parser.y' at line 251")
end

yyval1 := yytype1 (yyvs.item (yyvsp)) 
			yyval := yyval1
			else
					-- No action
				yyval := yyval_default
			end
		end

feature {NONE} -- Table templates

	yytranslate_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			   17,   18,    2,    2,   21,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,   19,   20,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    1,    2,    3,    4,
			    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,
			   15,   16>>)
		end

	yyr1_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,   34,   35,   35,   36,   36,   40,   40,   37,   37,
			   41,   41,   42,   43,   43,   44,   44,   27,   27,   27,
			   26,   26,   26,   26,   22,   22,   22,   23,   23,   24,
			   45,   45,   46,   46,   28,   28,   28,   29,   29,   25,
			   25,   32,   32,   32,   32,   30,   30,   30,   31,   31,
			   48,   48,   47,   47,   49,   49,   50,   53,   53,   51,
			   51,   52,   52,   38,   38,   38,   54,   54,   55,   55,
			   58,   58,   56,   56,   57,   57,   39,   39,   39,   33,
			   33>>)
		end

	yyr2_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,   11,    0,    3,    0,    2,    1,    2,    0,    1,
			    2,    3,    4,    0,    1,    0,    1,    0,    1,    3,
			    1,    7,    3,    9,    2,    2,    1,    5,    3,    4,
			    0,    1,    0,    1,    0,    2,    4,    1,    3,    2,
			    1,    0,    4,    3,    2,    1,    2,    3,    1,    3,
			    1,    2,    0,    1,    2,    3,    6,    1,    3,    0,
			    1,    0,    1,    0,    1,    2,    2,    3,    3,    4,
			    1,    3,    0,    1,    0,    1,    0,    1,    2,    1,
			    1>>)
		end

	yydefact_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,    0,   80,   79,    0,    0,    2,    0,    4,    0,
			    0,    8,    3,    5,    6,   17,    9,    0,    7,   15,
			   18,   63,    0,   16,   10,    0,    0,    0,   20,   26,
			   32,   41,   64,   76,    0,   11,   25,    0,   24,   41,
			   33,   19,    0,    0,    0,   45,   50,    8,   34,   52,
			    0,    0,   65,   74,   77,    0,   12,    0,   22,   41,
			   41,    0,   46,   48,    0,   51,   61,   52,    0,   28,
			    0,   53,   44,    0,    0,   75,   66,    0,   78,    1,
			   41,    0,   34,    0,   47,    0,   62,   54,    0,    0,
			    0,   35,   40,   37,   32,   43,   70,   68,    0,   67,

			   29,    0,   27,    0,   49,    0,   55,   42,   39,    0,
			    0,    0,   69,    0,   41,    0,   36,   38,   71,    0,
			   21,    0,   41,   57,   56,   23,    0,   58,    0,    0,
			    0>>)
		end

	yydefgoto_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			   28,   29,   36,   93,   30,   21,   69,   94,   47,   62,
			   48,   39,  128,    8,   11,   15,   33,   55,   49,   18,
			   19,   24,   25,   41,   42,   70,   50,   65,   66,   87,
			   88,  124,   52,   53,   76,   77,   97>>)
		end

	yypact_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			  129,   -4, -32768, -32768,  127,   -4,  121,   -4,  117,  111,
			   -4,  115, -32768, -32768,   -4,  118, -32768,  113, -32768,   30,
			   67,  120,   -4,   91, -32768,   -4,   -4,   -4, -32768, -32768,
			    7,   42,   -4,  114,  109, -32768, -32768,  107, -32768,   56,
			   98, -32768,   67,   -4,   -4,   -4,   -4,  115,  106,  105,
			  116,    3, -32768,    9,   -4,  112, -32768,   -4, -32768,   41,
			   57,  101,   96, -32768,   97, -32768,   27,  105,   80, -32768,
			  108, -32768, -32768,   -4,   -4,   99, -32768,   -4, -32768, -32768,
			   57,   -4,  106,   92,   -4,   -4,  104, -32768,   -4,   93,
			   -4, -32768, -32768, -32768,   -3, -32768, -32768,   72,   87, -32768,

			 -32768,   74, -32768,   -4, -32768,   59, -32768, -32768, -32768,   69,
			   75,   -4, -32768,   52,   57,   43, -32768, -32768, -32768,   -4,
			 -32768,   -4,   57, -32768,   13, -32768,   -4, -32768,   33,   28,
			 -32768>>)
		end

	yypgoto_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			  103,  -22, -32768,   29, -32768, -32768,   60, -32768, -32768, -32768,
			  -57,   -1, -32768, -32768, -32768,   90, -32768, -32768,  -10,  119,
			 -32768, -32768, -32768,   46,   40,   68,  -41,   45, -32768, -32768,
			 -32768, -32768,  -47, -32768, -32768, -32768, -32768>>)
		end

	yytable_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    4,   16,  -30,   82,    6,   38,    9,   78,   71,   13,
			    3,    2,  -30,   17,  -72,  -30,  -30,   40,  -72,   31,
			   74,   34,   73,  100,   17,   37,   71,   40,  130,   75,
			   99,   51,  -59,  129,  126,  -13,  -13,   16,  -13,  -13,
			  -13,   59,   60,   61,   63,   64,   92,   86,   14,   14,
			   23,   46,   46,   51,   45,   45,   80,  120,   81,   44,
			   43,   43,  121,   14,   14,  125,   46,   46,  108,   45,
			   45,  119,   96,   98,  116,   43,   51,  115,   27,   26,
			  101,    3,    2,  104,  105,   91,   90,   64,   92,    3,
			    2,   90,  113,  111,    3,    2,  -14,  -14,  107,  -14,

			  -14,  -14,  114,  -31,  -73,  112,  -31,  -31,  -73,  -60,
			  118,  103,   68,   95,   85,   46,   84,   79,  122,   83,
			  123,   72,   14,   54,   20,  127,   57,   56,   32,   12,
			   22,    5,    1,  106,  110,   89,   10,   67,    7,  117,
			  109,    0,  102,    0,   35,   58>>)
		end

	yycheck_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    1,   11,    5,   60,    5,   27,    7,   54,   49,   10,
			   14,   15,    5,   14,    5,    8,    9,   20,    9,   20,
			   17,   22,   19,   80,   25,   26,   67,   20,    0,   20,
			   77,   32,    5,    0,   21,    5,    6,   47,    8,    9,
			   10,   42,   43,   44,   45,   46,   68,   20,    7,    7,
			   20,   10,   10,   54,   13,   13,   57,  114,   17,   17,
			   19,   19,   19,    7,    7,  122,   10,   10,   90,   13,
			   13,   19,   73,   74,    5,   19,   77,   18,   11,   12,
			   81,   14,   15,   84,   85,    5,   11,   88,  110,   14,
			   15,   11,   18,   21,   14,   15,    5,    6,    5,    8,

			    9,   10,  103,    5,    5,   18,    8,    9,    9,    5,
			  111,   19,    6,    5,   17,   10,   20,    5,  119,   18,
			  121,    5,    7,    9,    6,  126,   19,   18,    8,   18,
			   17,    4,    3,   88,   94,   67,   19,   47,   17,  110,
			   94,   -1,   82,   -1,   25,   42>>)
		end

feature {NONE} -- Conversion

	yytype1 (v: ANY): ET_IDENTIFIER is
		require
			valid_type: yyis_type1 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type1 (v: ANY): BOOLEAN is
		local
			u: ET_IDENTIFIER
		do
			u ?= v
			Result := (u = v)
		end

	yytype2 (v: ANY): ET_LACE_CLUSTER is
		require
			valid_type: yyis_type2 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type2 (v: ANY): BOOLEAN is
		local
			u: ET_LACE_CLUSTER
		do
			u ?= v
			Result := (u = v)
		end

	yytype3 (v: ANY): ET_LACE_CLUSTERS is
		require
			valid_type: yyis_type3 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type3 (v: ANY): BOOLEAN is
		local
			u: ET_LACE_CLUSTERS
		do
			u ?= v
			Result := (u = v)
		end

	yytype4 (v: ANY): ET_LACE_EXCLUDE is
		require
			valid_type: yyis_type4 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type4 (v: ANY): BOOLEAN is
		local
			u: ET_LACE_EXCLUDE
		do
			u ?= v
			Result := (u = v)
		end


feature {NONE} -- Constants

	yyFinal: INTEGER is 130
			-- Termination state id

	yyFlag: INTEGER is -32768
			-- Most negative INTEGER

	yyNtbase: INTEGER is 22
			-- Number of tokens

	yyLast: INTEGER is 145
			-- Upper bound of `yytable' and `yycheck'

	yyMax_token: INTEGER is 271
			-- Maximum token id
			-- (upper bound of `yytranslate'.)

	yyNsyms: INTEGER is 59
			-- Number of symbols
			-- (terminal and nonterminal)

feature -- User-defined features



end
