indexing

	description:

		"Error: Cannot write to file"

	library: "Gobo Eiffel Utility Library"
	copyright: "Copyright (c) 1999, Eric Bezault and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/07/21 17:50:15 $"
	revision: "$Revision: 1.5 $"

class UT_CANNOT_WRITE_TO_FILE_ERROR

inherit

	UT_ERROR

creation

	make

feature {NONE} -- Initialization

	make (a_filename: STRING) is
			-- Create a new error reporting that file
			-- `a_filename' cannot be opened in write mode.
		require
			a_filename_not_void: a_filename /= Void
		do
			!! parameters.make (1, 1)
			parameters.put (a_filename, 1)
		end

feature -- Access

	default_template: STRING is "$0: cannot write to '$1'"
			-- Default template used to built the error message

	code: STRING is "UT0004"
			-- Error code

invariant

	-- dollar0: $0 = program name
	-- dollar1: $1 = filename

end
