indexing

	description:

		"Reverse comparators based on COMPARABLE"

	library: "Gobo Eiffel Kernel Library"
	copyright: "Copyright (c) 2000-2002, Eric Bezault and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/07/07 12:28:08 $"
	revision: "$Revision: 1.1 $"

class KL_REVERSE_COMPARABLE_COMPARATOR [G -> COMPARABLE]

inherit

	KL_COMPARABLE_COMPARATOR [G]
		redefine
			less_than
		end

creation

	make

feature -- Status report

	less_than (u, v: G): BOOLEAN is
			-- Is `u' considered less than `v'?
		do
			Result := (v < u)
		end

end
