indexing

	description:

		"Shared system clocks"

	pattern: "Singleton"
	library: "Gobo Eiffel Time Library"
	copyright: "Copyright (c) 2001, Eric Bezault and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/04/06 16:26:58 $"
	revision: "$Revision: 1.4 $"

class DT_SHARED_SYSTEM_CLOCK

feature -- Access

	system_clock: DT_SYSTEM_CLOCK is
			-- Local system clock
		once
			!! Result.make
		ensure
			system_clock_not_void: Result /= Void
		end

	utc_system_clock: DT_UTC_SYSTEM_CLOCK is
			-- UTC system clock
		once
			!! Result.make
		ensure
			utc_system_clock_not_void: Result /= Void
		end

end
