indexing

	description: 

		"XML parsers using a native Eiffel parser"

	implements: "XML 1.0 (Second Edition) - W3C Recommendation 6 October 2000"

	library: "Gobo Eiffel XML Library"
	copyright: "Copyright (c) 2002, Eric Bezault and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/09/19 16:38:13 $"
	revision: "$Revision: 1.3 $"

class XM_EIFFEL_PARSER

inherit

	XM_EIFFEL_PARSER_SKELETON

creation

	make


feature {NONE} -- Implementation

	yy_build_parser_tables is
			-- Build parser tables.
		do
			yytranslate ?= yytranslate_template
			yyr1 ?= yyr1_template
			yyr2 ?= yyr2_template
			yydefact ?= yydefact_template
			yydefgoto ?= yydefgoto_template
			yypact ?= yypact_template
			yypgoto ?= yypgoto_template
			yytable ?= yytable_template
			yycheck ?= yycheck_template
		end

feature {NONE} -- Semantic actions

	yy_do_action (yy_act: INTEGER) is
			-- Execute semantic action.
		local
			yyval1: XM_EIFFEL_PARSER_NAME
			yyval3: STRING
			yyval2: DS_HASH_SET [XM_EIFFEL_PARSER_NAME]
			yyval5: XM_DTD_ELEMENT_CONTENT
			yyval6: CHARACTER
			yyval8: DS_BILINKED_LIST [XM_DTD_ATTRIBUTE_CONTENT]
			yyval7: XM_DTD_ATTRIBUTE_CONTENT
			yyval9: DS_BILINKED_LIST [STRING]
			yyval4: XM_DTD_EXTERNAL_ID
		do
			inspect yy_act
when 1 then
--|#line 115 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 115")
end
			yyval := yyval_default;


when 2 then
--|#line 125 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 125")
end

			yyval1 := new_namespace_name
			yyval1.force_last (yytype3 (yyvs.item (yyvsp)))
		
			yyval := yyval1
when 3 then
--|#line 130 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 130")
end

			yyval1 := new_namespace_name
			yyval1.force_last (shared_empty_string)
		
			yyval := yyval1
when 4 then
--|#line 135 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 135")
end

			yyval1 := yytype1 (yyvs.item (yyvsp - 2))
			yyval1.force_last (yytype3 (yyvs.item (yyvsp)))
		
			yyval := yyval1
when 5 then
--|#line 140 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 140")
end

			yyval1 := yytype1 (yyvs.item (yyvsp - 1))
			yyval1.force_last (shared_empty_string)
		
			yyval := yyval1
when 6 then
--|#line 147 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 147")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 7 then
--|#line 148 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 148")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 8 then
--|#line 155 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 155")
end

yyval3 := onstring_ascii (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 9 then
--|#line 156 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 156")
end

yyval3 := onstring_utf8 (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 10 then
--|#line 159 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 159")
end

yyval3 := onstring_ascii (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 11 then
--|#line 160 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 160")
end

yyval3 := onstring_utf8 (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 12 then
--|#line 163 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 163")
end

yyval3 := onstring_ascii (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 13 then
--|#line 164 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 164")
end

yyval3 := onstring_utf8 (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 14 then
--|#line 167 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 167")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 15 then
--|#line 168 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 168")
end

yyval3 := onstring_ascii (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 16 then
--|#line 169 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 169")
end

yyval3 := onstring_utf8 (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 17 then
--|#line 172 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 172")
end

yyval3 := onstring_ascii (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 18 then
--|#line 173 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 173")
end

yyval3 := onstring_utf8 (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 19 then
--|#line 176 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 176")
end

yyval3 := onstring_ascii (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 20 then
--|#line 177 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 177")
end

yyval3 := onstring_utf8 (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 21 then
--|#line 180 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 180")
end

yyval3 := onstring_ascii (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 22 then
--|#line 181 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 181")
end

yyval3 := onstring_utf8 (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 23 then
--|#line 184 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 184")
end

yyval3 := onstring_ascii (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 24 then
--|#line 185 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 185")
end

yyval3 := onstring_utf8 (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 25 then
--|#line 188 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 188")
end

yyval3 := onstring_ascii (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 26 then
--|#line 189 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 189")
end

yyval3 := onstring_utf8 (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 27 then
--|#line 196 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 196")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 28 then
--|#line 197 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 197")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 29 then
--|#line 198 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 198")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 30 then
--|#line 199 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 199")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 31 then
--|#line 200 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 200")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 32 then
--|#line 201 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 201")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 33 then
--|#line 202 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 202")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 34 then
--|#line 203 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 203")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 35 then
--|#line 204 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 204")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 36 then
--|#line 205 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 205")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 37 then
--|#line 206 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 206")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 38 then
--|#line 207 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 207")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 39 then
--|#line 208 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 208")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 40 then
--|#line 209 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 209")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 41 then
--|#line 210 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 210")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 42 then
--|#line 213 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 213")
end
			yyval := yyval_default;


when 43 then
--|#line 214 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 214")
end
			yyval := yyval_default;


when 44 then
--|#line 217 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 217")
end
			yyval := yyval_default;


when 45 then
--|#line 218 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 218")
end
			yyval := yyval_default;


when 46 then
--|#line 221 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 221")
end
			yyval := yyval_default;


when 47 then
--|#line 222 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 222")
end
			yyval := yyval_default;
				-- Really applies only in DTD, but token cannot appear in content
				-- and test above would catch, if unintentionally.
			if not in_external_dtd then 
				force_error (Error_doctype_peref_only_in_dtd) 
			end 
		

when 48 then
--|#line 234 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 234")
end

yyval3 := shared_empty_string 
			yyval := yyval3
when 49 then
--|#line 236 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 236")
end

yyval3 := yytype3 (yyvs.item (yyvsp - 1)) 
			yyval := yyval3
when 50 then
--|#line 240 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 240")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 51 then
--|#line 242 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 242")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 52 then
--|#line 244 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 244")
end

yyval3 := STRING_.concat (yytype3 (yyvs.item (yyvsp - 1)), yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 53 then
--|#line 246 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 246")
end

yyval3 := STRING_.concat (yytype3 (yyvs.item (yyvsp - 1)), yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 54 then
--|#line 250 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 250")
end

yyval3 := entity_referenced_in_entity_value (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 55 then
--|#line 256 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 256")
end

yyval3 := shared_empty_string 
			yyval := yyval3
when 56 then
--|#line 258 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 258")
end

yyval3 := yytype3 (yyvs.item (yyvsp - 1)) 
			yyval := yyval3
when 57 then
--|#line 262 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 262")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 58 then
--|#line 264 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 264")
end

yyval3 := STRING_.concat (yytype3 (yyvs.item (yyvsp - 1)), yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 59 then
--|#line 268 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 268")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 60 then
--|#line 269 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 269")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 61 then
--|#line 270 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 270")
end

force_error (Error_lt_not_allowed_attribute_value) 
			yyval := yyval3
when 62 then
--|#line 273 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 273")
end

yyval3 := shared_empty_string 
			yyval := yyval3
when 63 then
--|#line 274 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 274")
end

yyval3 := shared_empty_string 
			yyval := yyval3
when 64 then
--|#line 279 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 279")
end
			yyval := yyval_default;
on_comment (yytype3 (yyvs.item (yyvsp - 1))) 

when 65 then
--|#line 281 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 281")
end
			yyval := yyval_default;
on_comment (shared_empty_string) 

when 66 then
--|#line 285 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 285")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 67 then
--|#line 287 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 287")
end

yyval3 := STRING_.concat (yytype3 (yyvs.item (yyvsp - 1)), yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 68 then
--|#line 291 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 291")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 69 then
--|#line 292 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 292")
end

force_error (Error_no_dash_dash_in_comment) 
			yyval := yyval3
when 70 then
--|#line 297 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 297")
end
			yyval := yyval_default;
on_processing_instruction (yytype3 (yyvs.item (yyvsp - 4)), STRING_.concat (yytype3 (yyvs.item (yyvsp - 2)),yytype3 (yyvs.item (yyvsp - 1)))) 

when 71 then
--|#line 299 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 299")
end
			yyval := yyval_default;
on_processing_instruction (yytype3 (yyvs.item (yyvsp - 3)), yytype3 (yyvs.item (yyvsp - 1))) 

when 72 then
--|#line 301 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 301")
end
			yyval := yyval_default;
on_processing_instruction (yytype3 (yyvs.item (yyvsp - 2)), shared_empty_string) 

when 73 then
--|#line 303 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 303")
end
			yyval := yyval_default;
force_error (Error_pi_xml_reserved) 

when 74 then
--|#line 306 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 306")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 75 then
--|#line 308 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 308")
end

yyval3 := STRING_.concat (yytype3 (yyvs.item (yyvsp - 1)), yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 76 then
--|#line 312 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 312")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 77 then
--|#line 313 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 313")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 78 then
--|#line 314 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 314")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 79 then
--|#line 317 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 317")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 80 then
--|#line 318 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 318")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 81 then
--|#line 323 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 323")
end
			yyval := yyval_default;
on_content (shared_empty_string) 

when 82 then
--|#line 325 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 325")
end
			yyval := yyval_default;
on_content (yytype3 (yyvs.item (yyvsp - 1))) 

when 83 then
--|#line 329 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 329")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 84 then
--|#line 331 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 331")
end

yyval3 := STRING_.concat (yytype3 (yyvs.item (yyvsp - 1)), yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval3
when 85 then
--|#line 337 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 337")
end
			yyval := yyval_default;


when 86 then
--|#line 340 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 340")
end
			yyval := yyval_default;


when 87 then
--|#line 341 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 341")
end
			yyval := yyval_default;


when 88 then
--|#line 342 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 342")
end
			yyval := yyval_default;


when 89 then
--|#line 345 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 345")
end
			yyval := yyval_default;


when 90 then
--|#line 346 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 346")
end
			yyval := yyval_default;


when 91 then
--|#line 347 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 347")
end
			yyval := yyval_default;


when 92 then
--|#line 350 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 350")
end
			yyval := yyval_default;


when 93 then
--|#line 351 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 351")
end
			yyval := yyval_default;


when 94 then
--|#line 354 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 354")
end
			yyval := yyval_default;


when 95 then
--|#line 355 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 355")
end
			yyval := yyval_default;


when 96 then
--|#line 358 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 358")
end
			yyval := yyval_default;


when 97 then
--|#line 359 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 359")
end
			yyval := yyval_default;
force_error (Error_xml_declaration) 

when 98 then
--|#line 362 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 362")
end
			yyval := yyval_default;


when 99 then
--|#line 363 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 363")
end
			yyval := yyval_default;


when 100 then
--|#line 364 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 364")
end
			yyval := yyval_default;


when 101 then
--|#line 365 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 365")
end
			yyval := yyval_default;


when 102 then
--|#line 368 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 368")
end
			yyval := yyval_default;


when 103 then
--|#line 371 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 371")
end
			yyval := yyval_default;


when 104 then
--|#line 372 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 372")
end
			yyval := yyval_default;


when 105 then
--|#line 373 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 373")
end
			yyval := yyval_default;


when 106 then
--|#line 376 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 376")
end
			yyval := yyval_default;


when 107 then
--|#line 377 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 377")
end
			yyval := yyval_default;


when 108 then
--|#line 380 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 380")
end
			yyval := yyval_default;
on_doctype (yytype3 (yyvs.item (yyvsp - 3)), Void, True) 

when 109 then
--|#line 384 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 384")
end
			yyval := yyval_default;
		on_doctype (yytype3 (yyvs.item (yyvsp - 5)), yytype4 (yyvs.item (yyvsp - 3)), False)
		debug ("xml_parser")
			std.error.put_string ("[dtd: in]")
		end
		in_external_dtd := True
		when_external_dtd (yytype4 (yyvs.item (yyvsp - 3))) 
	

when 110 then
--|#line 397 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 397")
end
			yyval := yyval_default;
			if not in_external_dtd then
				force_error (Error_misplaced_dtd_declaration)
			end
			debug ("xml_parser")
				std.error.put_string ("[dtd: out]")
			end
			in_external_dtd := False
		

when 111 then
--|#line 409 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 409")
end
			yyval := yyval_default;


when 112 then
--|#line 410 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 410")
end
			yyval := yyval_default;


when 113 then
--|#line 413 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 413")
end
			yyval := yyval_default;


when 114 then
--|#line 414 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 414")
end
			yyval := yyval_default;


when 115 then
--|#line 417 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 417")
end
			yyval := yyval_default;


when 116 then
--|#line 418 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 418")
end
			yyval := yyval_default;


when 117 then
--|#line 423 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 423")
end
			yyval := yyval_default;


when 118 then
--|#line 424 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 424")
end
			yyval := yyval_default;


when 119 then
--|#line 425 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 425")
end
			yyval := yyval_default;


when 120 then
--|#line 428 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 428")
end
			yyval := yyval_default;


when 121 then
--|#line 429 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 429")
end
			yyval := yyval_default;


when 122 then
--|#line 434 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 434")
end
			yyval := yyval_default;


when 123 then
--|#line 435 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 435")
end
			yyval := yyval_default;


when 124 then
--|#line 436 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 436")
end
			yyval := yyval_default;


when 125 then
--|#line 437 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 437")
end
			yyval := yyval_default;


when 126 then
--|#line 438 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 438")
end
			yyval := yyval_default;


when 127 then
--|#line 439 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 439")
end
			yyval := yyval_default;


when 128 then
--|#line 440 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 440")
end
			yyval := yyval_default;


when 129 then
--|#line 441 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 441")
end
			yyval := yyval_default;


when 130 then
--|#line 446 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 446")
end
			yyval := yyval_default;
stand_alone := True 

when 131 then
--|#line 447 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 447")
end
			yyval := yyval_default;
stand_alone := False 

when 132 then
--|#line 452 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 452")
end
			yyval := yyval_default;


when 133 then
--|#line 453 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 453")
end
			yyval := yyval_default;
			if not yytype1 (yyvs.item (yyvsp - 1)).is_equal (yytype1 (yyvs.item (yyvsp))) then
				force_error (Error_end_tag_mismatch)
			end
		

when 134 then
--|#line 459 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 459")
end
			yyval := yyval_default;
			if not yytype1 (yyvs.item (yyvsp - 2)).is_equal (yytype1 (yyvs.item (yyvsp))) then
				force_error (Error_end_tag_mismatch)
			end
		

when 135 then
--|#line 465 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 465")
end
			yyval := yyval_default;
force_error (Error_element_end_tag) 

when 136 then
--|#line 466 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 466")
end
			yyval := yyval_default;
force_error (Error_element_content) 

when 137 then
--|#line 472 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 472")
end

			yyval1 := yytype1 (yyvs.item (yyvsp - 1))
			on_start_tag_finish
		
			yyval := yyval1
when 138 then
--|#line 477 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 477")
end

			yyval1 := yytype1 (yyvs.item (yyvsp - 3))
			on_start_tag_finish
		
			yyval := yyval1
when 139 then
--|#line 482 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 482")
end

force_error (Error_start_tag) 
			yyval := yyval1
when 140 then
--|#line 485 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 485")
end
			yyval := yyval_default;
			on_start_tag_finish -- makes empty attributes
			on_end_tag (Void, yytype1 (yyvs.item (yyvsp - 1)).ns_prefix, yytype1 (yyvs.item (yyvsp - 1)).local_part)
		

when 141 then
--|#line 490 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 490")
end
			yyval := yyval_default;
			on_start_tag_finish
			on_end_tag (Void, yytype1 (yyvs.item (yyvsp - 3)).ns_prefix, yytype1 (yyvs.item (yyvsp - 3)).local_part)
		

when 142 then
--|#line 497 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 497")
end

			yyval1 := yytype1 (yyvs.item (yyvsp))
			on_start_tag (Void, yytype1 (yyvs.item (yyvsp)).ns_prefix, yytype1 (yyvs.item (yyvsp)).local_part)
		
			yyval := yyval1
when 143 then
--|#line 504 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 504")
end

			yyval2 := new_name_set
			yyval2.force_new (yytype1 (yyvs.item (yyvsp)))
		
			yyval := yyval2
when 144 then
--|#line 509 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 509")
end

			yyval2 := yytype2 (yyvs.item (yyvsp - 2))
			if (yyval2).has (yytype1 (yyvs.item (yyvsp))) then
				force_error (Error_attribute_duplicate)
			else
				yyval2.force_new (yytype1 (yyvs.item (yyvsp)))
			end
		
			yyval := yyval2
when 145 then
--|#line 520 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 520")
end

			yyval1 := yytype1 (yyvs.item (yyvsp - 2))
			on_attribute (Void, yytype1 (yyvs.item (yyvsp - 2)).ns_prefix, yytype1 (yyvs.item (yyvsp - 2)).local_part, yytype3 (yyvs.item (yyvsp)))
		
			yyval := yyval1
when 146 then
--|#line 525 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 525")
end

force_error (Error_attribute) 
			yyval := yyval1
when 147 then
--|#line 529 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 529")
end

			yyval1 := yytype1 (yyvs.item (yyvsp - 1))
			on_end_tag (Void, yytype1 (yyvs.item (yyvsp - 1)).ns_prefix, yytype1 (yyvs.item (yyvsp - 1)).local_part)
		
			yyval := yyval1
when 148 then
--|#line 534 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 534")
end

force_error (Error_end_tag) 
			yyval := yyval1
when 149 then
--|#line 537 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 537")
end
			yyval := yyval_default;


when 150 then
--|#line 538 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 538")
end
			yyval := yyval_default;


when 151 then
--|#line 541 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 541")
end
			yyval := yyval_default;
on_content (yytype3 (yyvs.item (yyvsp))) 

when 152 then
--|#line 542 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 542")
end
			yyval := yyval_default;


when 153 then
--|#line 543 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 543")
end
			yyval := yyval_default;


when 154 then
--|#line 544 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 544")
end
			yyval := yyval_default;


when 155 then
--|#line 545 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 545")
end
			yyval := yyval_default;


when 156 then
--|#line 546 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 546")
end
			yyval := yyval_default;
force_error (Error_no_cdata_end_in_content) 

when 157 then
--|#line 547 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 547")
end
			yyval := yyval_default;


when 158 then
--|#line 550 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 550")
end
			yyval := yyval_default;


when 159 then
--|#line 551 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 551")
end
			yyval := yyval_default;


when 160 then
--|#line 552 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 552")
end
			yyval := yyval_default;
force_error (Error_entity_xml_declaration) 

when 161 then
--|#line 555 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 555")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 162 then
--|#line 557 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 557")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 163 then
--|#line 563 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 563")
end
			yyval := yyval_default;
on_element_declaration (yytype3 (yyvs.item (yyvsp - 3)),yytype5 (yyvs.item (yyvsp - 1))) 

when 164 then
--|#line 565 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 565")
end
			yyval := yyval_default;
force_error (Error_doctype_element) 

when 165 then
--|#line 568 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 568")
end

!! yyval5.make_empty 
			yyval := yyval5
when 166 then
--|#line 570 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 570")
end

!! yyval5.make_any 
			yyval := yyval5
when 167 then
--|#line 572 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 572")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)) 
			yyval := yyval5
when 168 then
--|#line 574 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 574")
end

yyval5 := yytype5 (yyvs.item (yyvsp)) 
			yyval := yyval5
when 169 then
--|#line 578 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 578")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)) 
			yyval := yyval5
when 170 then
--|#line 580 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 580")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)); set_element_repetition (yyval5, yytype6 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 171 then
--|#line 582 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 582")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)) 
			yyval := yyval5
when 172 then
--|#line 584 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 584")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)); set_element_repetition (yyval5, yytype6 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 173 then
--|#line 588 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 588")
end

yyval5 := element_name (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 174 then
--|#line 590 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 590")
end

yyval5 := element_name (yytype3 (yyvs.item (yyvsp - 1))); set_element_repetition (yyval5, yytype6 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 175 then
--|#line 592 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 592")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)) 
			yyval := yyval5
when 176 then
--|#line 594 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 594")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)); set_element_repetition (yyval5, yytype6 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 177 then
--|#line 596 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 596")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)) 
			yyval := yyval5
when 178 then
--|#line 598 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 598")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)); set_element_repetition (yyval5, yytype6 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 179 then
--|#line 602 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 602")
end

yyval6 := '*' 
			yyval := yyval6
when 180 then
--|#line 604 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 604")
end

yyval6 := '+' 
			yyval := yyval6
when 181 then
--|#line 606 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 606")
end

yyval6 := '?' 
			yyval := yyval6
when 182 then
--|#line 610 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 610")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)); yyval5.items.force_first (yytype5 (yyvs.item (yyvsp - 3))) 
			yyval := yyval5
when 183 then
--|#line 614 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 614")
end

!! yyval5.make_choice; yyval5.items.force_last (yytype5 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 184 then
--|#line 616 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 616")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 2)); yyval5.items.force_last (yytype5 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 185 then
--|#line 621 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 621")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 1)) 
			yyval := yyval5
when 186 then
--|#line 625 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 625")
end

!! yyval5.make_sequence; yyval5.items.force_last (yytype5 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 187 then
--|#line 627 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 627")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 2)); yyval5.items.force_last (yytype5 (yyvs.item (yyvsp))) 
			yyval := yyval5
when 188 then
--|#line 631 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 631")
end

!! yyval5.make_mixed 
			yyval := yyval5
when 189 then
--|#line 633 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 633")
end

!! yyval5.make_mixed; yyval5.set_zero_or_more 
			yyval := yyval5
when 190 then
--|#line 635 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 635")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 2)); yyval5.set_zero_or_more 
			yyval := yyval5
when 191 then
--|#line 639 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 639")
end

!! yyval5.make_mixed; yyval5.items.force_last (element_name (yytype3 (yyvs.item (yyvsp)))) 
			yyval := yyval5
when 192 then
--|#line 641 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 641")
end

yyval5 := yytype5 (yyvs.item (yyvsp - 2)); yyval5.items.force_last (element_name (yytype3 (yyvs.item (yyvsp)))) 
			yyval := yyval5
when 193 then
--|#line 647 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 647")
end

yyval3 := yytype3 (yyvs.item (yyvsp - 1)) 
			yyval := yyval3
when 194 then
--|#line 651 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 651")
end
			yyval := yyval_default;


when 195 then
--|#line 654 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 654")
end
			yyval := yyval_default;


when 196 then
--|#line 657 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 657")
end
			yyval := yyval_default;


when 197 then
--|#line 660 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 660")
end
			yyval := yyval_default;


when 198 then
--|#line 663 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 663")
end
			yyval := yyval_default;


when 199 then
--|#line 668 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 668")
end
			yyval := yyval_default;


when 200 then
--|#line 670 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 670")
end
			yyval := yyval_default;
on_attribute_declarations (yytype3 (yyvs.item (yyvsp - 3)), yytype8 (yyvs.item (yyvsp - 2))) 

when 201 then
--|#line 672 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 672")
end
			yyval := yyval_default;
force_error (Error_doctype_attribute) 

when 202 then
--|#line 676 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 676")
end

yyval8 := new_dtd_attribute_content_list; yyval8.force_last (yytype7 (yyvs.item (yyvsp))) 
			yyval := yyval8
when 203 then
--|#line 678 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 678")
end

yyval8 := yytype8 (yyvs.item (yyvsp - 1)); yyval8.force_last (yytype7 (yyvs.item (yyvsp))) 
			yyval := yyval8
when 204 then
--|#line 682 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 682")
end

yyval7 := yytype7 (yyvs.item (yyvsp - 2)); yyval7.set_name (yytype3 (yyvs.item (yyvsp - 4))); yyval7.copy_default (yytype7 (yyvs.item (yyvsp))) 
			yyval := yyval7
when 205 then
--|#line 684 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 684")
end

force_error (Error_doctype_attribute_item) 
			yyval := yyval7
when 206 then
--|#line 687 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 687")
end

yyval7 := new_dtd_attribute_content; yyval7.set_data 
			yyval := yyval7
when 207 then
--|#line 689 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 689")
end

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 208 then
--|#line 691 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 691")
end

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 209 then
--|#line 695 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 695")
end

yyval7 := new_dtd_attribute_content; yyval7.set_id 
			yyval := yyval7
when 210 then
--|#line 697 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 697")
end

yyval7 := new_dtd_attribute_content; yyval7.set_id_ref 
			yyval := yyval7
when 211 then
--|#line 699 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 699")
end

yyval7 := new_dtd_attribute_content; yyval7.set_id_ref; yyval7.set_list_type 
			yyval := yyval7
when 212 then
--|#line 701 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 701")
end

yyval7 := new_dtd_attribute_content; yyval7.set_entity 
			yyval := yyval7
when 213 then
--|#line 703 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 703")
end

yyval7 := new_dtd_attribute_content; yyval7.set_entity; yyval7.set_list_type 
			yyval := yyval7
when 214 then
--|#line 705 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 705")
end

yyval7 := new_dtd_attribute_content; yyval7.set_token 
			yyval := yyval7
when 215 then
--|#line 707 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 707")
end

yyval7 := new_dtd_attribute_content; yyval7.set_token; yyval7.set_list_type 
			yyval := yyval7
when 216 then
--|#line 711 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 711")
end

yyval7 := new_dtd_attribute_content; yyval7.set_notation 
			yyval := yyval7
when 217 then
--|#line 713 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 713")
end

yyval7 := new_dtd_attribute_content; yyval7.set_enumeration 
			yyval := yyval7
when 218 then
--|#line 717 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 717")
end
			yyval := yyval_default;


when 219 then
--|#line 720 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 720")
end
			yyval := yyval_default;


when 220 then
--|#line 721 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 721")
end
			yyval := yyval_default;


when 221 then
--|#line 724 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 724")
end

yyval9 := yytype9 (yyvs.item (yyvsp - 1)) 
			yyval := yyval9
when 222 then
--|#line 728 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 728")
end

yyval9 := new_string_bilinked_list; yyval9.force_last (yytype3 (yyvs.item (yyvsp - 1))) 
			yyval := yyval9
when 223 then
--|#line 730 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 730")
end

yyval9 := yytype9 (yyvs.item (yyvsp - 3)); yyval9.force_last (yytype3 (yyvs.item (yyvsp - 1))) 
			yyval := yyval9
when 224 then
--|#line 734 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 734")
end

yyval7 := new_dtd_attribute_content; yyval7.set_value_required 
			yyval := yyval7
when 225 then
--|#line 736 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 736")
end

yyval7 := new_dtd_attribute_content; yyval7.set_value_implied 
			yyval := yyval7
when 226 then
--|#line 738 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 738")
end

yyval7 := new_dtd_attribute_content; yyval7.set_value_fixed (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval7
when 227 then
--|#line 740 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 740")
end

yyval7 := new_dtd_attribute_content; yyval7.set_default_value (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval7
when 228 then
--|#line 746 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 746")
end
			yyval := yyval_default;


when 229 then
--|#line 747 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 747")
end
			yyval := yyval_default;


when 230 then
--|#line 748 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 748")
end
			yyval := yyval_default;
force_error (Error_doctype_conditional_section) 

when 231 then
--|#line 751 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 751")
end
			yyval := yyval_default;


when 232 then
--|#line 752 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 752")
end
			yyval := yyval_default;


when 233 then
--|#line 755 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 755")
end
			yyval := yyval_default;


when 234 then
--|#line 758 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 758")
end
			yyval := yyval_default;


when 235 then
--|#line 761 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 761")
end
			yyval := yyval_default;
scanner.push_start_condition_dtd_ignore 

when 236 then
--|#line 765 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 765")
end
			yyval := yyval_default;


when 237 then
--|#line 766 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 766")
end
			yyval := yyval_default;


when 238 then
--|#line 769 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 769")
end
			yyval := yyval_default;


when 239 then
--|#line 770 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 770")
end
			yyval := yyval_default;


when 240 then
--|#line 773 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 773")
end
			yyval := yyval_default;


when 241 then
--|#line 774 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 774")
end
			yyval := yyval_default;


when 242 then
--|#line 783 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 783")
end
			yyval := yyval_default;


when 243 then
--|#line 784 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 784")
end
			yyval := yyval_default;


when 244 then
--|#line 785 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 785")
end
			yyval := yyval_default;
force_error (Error_doctype_entity) 

when 245 then
--|#line 788 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 788")
end
			yyval := yyval_default;
				-- Internal entity.
			when_entity_declared (yytype3 (yyvs.item (yyvsp - 4)), new_literal_entity (yytype3 (yyvs.item (yyvsp - 2))))
			on_entity_declaration (yytype3 (yyvs.item (yyvsp - 4)), False, yytype3 (yyvs.item (yyvsp - 2)), Void, Void)
		

when 246 then
--|#line 794 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 794")
end
			yyval := yyval_default;
				-- External entity.
			when_entity_declared (yytype3 (yyvs.item (yyvsp - 4)), new_external_entity (yytype4 (yyvs.item (yyvsp - 2))))
			on_entity_declaration (yytype3 (yyvs.item (yyvsp - 4)), False, Void, yytype4 (yyvs.item (yyvsp - 2)), Void)
		

when 247 then
--|#line 800 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 800")
end
			yyval := yyval_default;
				-- Unparsed NDATA entity.
			on_entity_declaration (yytype3 (yyvs.item (yyvsp - 5)), False, Void, yytype4 (yyvs.item (yyvsp - 3)), yytype3 (yyvs.item (yyvsp - 2)))
		

when 248 then
--|#line 807 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 807")
end
			yyval := yyval_default;
				-- Internal PE entity.
			when_pe_entity_declared (yytype3 (yyvs.item (yyvsp - 4)), new_literal_entity (yytype3 (yyvs.item (yyvsp - 2))))
			on_entity_declaration (yytype3 (yyvs.item (yyvsp - 4)), True, yytype3 (yyvs.item (yyvsp - 2)), Void, Void) 
		

when 249 then
--|#line 813 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 813")
end
			yyval := yyval_default;
				-- External PE entity.
			when_pe_entity_declared (yytype3 (yyvs.item (yyvsp - 4)), new_external_entity (yytype4 (yyvs.item (yyvsp - 2)))) 
			on_entity_declaration (yytype3 (yyvs.item (yyvsp - 4)), True, Void, yytype4 (yyvs.item (yyvsp - 2)), Void)
		

when 250 then
--|#line 821 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 821")
end

yyval4 := new_dtd_external_id; yyval4.set_system (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval4
when 251 then
--|#line 832 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 832")
end

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 252 then
--|#line 838 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 838")
end
			yyval := yyval_default;


when 253 then
--|#line 839 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 839")
end
			yyval := yyval_default;


when 254 then
--|#line 840 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 840")
end
			yyval := yyval_default;


when 255 then
--|#line 841 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 841")
end
			yyval := yyval_default;
force_error (Error_xml_declaration) 

when 256 then
--|#line 844 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 844")
end
			yyval := yyval_default;


when 257 then
--|#line 849 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 849")
end
			yyval := yyval_default;
on_notation_declaration (yytype3 (yyvs.item (yyvsp - 4)), yytype4 (yyvs.item (yyvsp - 2))) 

when 258 then
--|#line 851 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 851")
end
			yyval := yyval_default;
on_notation_declaration (yytype3 (yyvs.item (yyvsp - 4)), yytype4 (yyvs.item (yyvsp - 2))) 

when 259 then
--|#line 853 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 853")
end
			yyval := yyval_default;
force_error (Error_doctype_notation) 

when 260 then
--|#line 857 "xm_eiffel_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xm_eiffel_parser.y' at line 857")
end

yyval4 := new_dtd_external_id; yyval4.set_system (yytype3 (yyvs.item (yyvsp))) 
			yyval := yyval4
			else
					-- No action
				yyval := yyval_default
			end
		end

feature {NONE} -- Table templates

	yytranslate_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    1,    2,    3,    4,
			    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,
			   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,
			   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,
			   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,

			   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,
			   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,
			   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,
			   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,
			   85,   86,   87,   88,   89>>)
		end

	yyr1_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,  143,   90,   90,   90,   90,   96,   96,  100,  100,
			  101,  101,  102,  102,   97,   97,   97,  103,  103,  104,
			  104,  105,  105,  106,  106,   99,   99,   98,   98,   98,
			   98,   98,   98,   98,   98,   98,   98,   98,   98,   98,
			   98,   98,  147,  147,  148,  148,  149,  149,  107,  107,
			  108,  108,  108,  108,  113,  109,  109,  110,  110,  111,
			  111,  111,  112,  112,  150,  150,  114,  114,  115,  115,
			  151,  151,  151,  151,  117,  117,  118,  118,  118,  116,
			  116,  152,  152,  119,  119,  144,  153,  153,  153,  154,
			  154,  154,  146,  146,  156,  156,  155,  155,  160,  160,

			  160,  160,  159,  158,  158,  158,  157,  157,  163,  164,
			  165,  168,  168,  169,  169,  170,  170,  166,  166,  166,
			  173,  173,  171,  171,  171,  171,  171,  171,  171,  171,
			  161,  161,  145,  145,  145,  145,  145,   92,   92,   92,
			  178,  178,   91,   95,   95,   94,   94,   93,   93,  179,
			  179,  180,  180,  180,  180,  180,  180,  180,  181,  181,
			  181,  120,  120,  174,  174,  125,  125,  125,  125,  126,
			  126,  126,  126,  127,  127,  127,  127,  127,  127,  134,
			  134,  134,  128,  129,  129,  130,  131,  131,  132,  132,
			  132,  133,  133,  124,  182,  183,  185,  184,  186,  175,

			  175,  175,  135,  135,  136,  136,  137,  137,  137,  138,
			  138,  138,  138,  138,  138,  138,  139,  139,  187,  188,
			  188,  141,  142,  142,  140,  140,  140,  140,  172,  172,
			  172,  189,  189,  191,  190,  192,  193,  193,  194,  194,
			  195,  195,  176,  176,  176,  196,  196,  196,  197,  197,
			  121,  123,  167,  167,  167,  167,  162,  177,  177,  177,
			  122>>)
		end

	yyr2_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,    3,    1,    1,    3,    2,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    0,    1,    1,    2,    1,    1,    2,    3,
			    1,    1,    2,    2,    1,    2,    3,    1,    2,    1,
			    1,    1,    1,    1,    3,    2,    1,    2,    1,    1,
			    6,    5,    4,    1,    1,    2,    1,    1,    1,    1,
			    1,    2,    3,    1,    2,    2,    1,    1,    2,    0,
			    1,    2,    0,    1,    1,    2,    4,    2,    1,    3,

			    3,    5,    1,    1,    1,    1,    1,    2,    6,    8,
			    4,    0,    1,    1,    2,    1,    1,    0,    3,    4,
			    1,    2,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    2,    3,    3,    2,    3,    5,    2,
			    3,    5,    1,    1,    3,    3,    2,    3,    2,    1,
			    2,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    6,    2,    2,    2,    2,    1,    2,
			    2,    2,    2,    1,    2,    2,    2,    2,    2,    2,
			    2,    2,    5,    1,    3,    3,    1,    3,    3,    4,
			    6,    1,    3,    2,    2,    2,    2,    1,    2,    5,

			    6,    2,    1,    2,    6,    3,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    5,    1,
			    3,    3,    2,    4,    1,    1,    3,    1,    1,    1,
			    2,    2,    3,    5,    3,    5,    0,    1,    1,    2,
			    1,    3,    1,    1,    2,    7,    7,    8,    9,    9,
			    1,    4,    0,    4,    6,    2,    1,    7,    7,    2,
			    1>>)
		end

	yydefact_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			   92,    0,   73,    0,    0,  105,    0,   86,  103,  104,
			   89,   87,   93,   94,  102,   97,   42,   20,   19,   42,
			   69,   65,    9,    8,   68,    0,   66,    0,    0,   92,
			  132,    0,   85,   90,  106,    0,   88,   95,   22,   21,
			   46,   47,   98,   43,   44,    0,    0,   43,   64,   67,
			    3,   11,   10,  139,  142,    0,    2,  156,  159,  158,
			    0,    0,  160,  162,  136,  133,  161,  151,  153,  155,
			  154,  152,    0,  149,  157,    1,    0,   91,  252,  107,
			  256,  131,  130,   45,   42,   42,   96,   72,   79,   80,
			    0,    5,  137,  140,    0,  148,    0,   81,   83,    0,

			  135,  134,  150,   41,   40,   39,   36,   35,   34,   33,
			   32,   31,   30,   29,   28,   38,   37,   18,   17,   42,
			   27,    0,  111,   99,   43,  100,   43,   71,   78,   76,
			   77,    0,   74,   13,   12,    4,    7,    6,    0,  143,
			    0,  147,   82,   84,  117,   43,  255,    0,   42,    0,
			    0,    0,    0,    0,  128,  129,  127,  126,    0,  112,
			  113,  115,  116,  122,  123,  124,  125,  228,  229,    0,
			  236,  242,  243,   42,   70,   75,    0,  146,  138,  141,
			    0,    0,    0,   26,   25,  250,   42,    0,    0,  230,
			    0,  259,    0,  244,    0,  201,    0,  164,    0,  110,

			  114,  231,    0,  236,  240,    0,  237,  238,  101,    0,
			  145,  144,   42,  120,    0,  108,  117,   42,  253,   42,
			   42,    0,    0,    0,   42,    0,  232,    0,  234,  239,
			   61,   63,   62,   55,   59,    0,   57,   60,  118,   42,
			  121,    0,    0,    0,    0,    0,    0,    0,   42,  202,
			    0,   43,    0,  241,   56,   58,  119,  109,  254,  233,
			  235,  260,   42,   42,    0,    0,   42,   42,  203,    0,
			  199,    0,   42,   42,   42,    0,  168,   42,   42,   42,
			    0,    0,    0,    0,   48,   24,   23,   50,   54,    0,
			   51,    0,   42,    0,   43,  200,  205,    0,  194,  166,

			  165,  163,   42,   42,   42,  170,  169,  172,  171,  167,
			   42,   42,  173,  186,   42,   42,    0,    0,    0,  257,
			  258,   42,   42,   49,   52,   53,  245,    0,  246,    0,
			    0,  215,  214,  213,  212,  211,  210,  209,  206,    0,
			  207,  208,  217,    0,  216,  180,  179,  181,  198,  174,
			  193,   42,    0,  176,  175,  178,  177,   42,  197,  185,
			    0,    0,  188,    0,    0,  247,    0,    0,    0,   16,
			   15,   42,   14,    0,  195,  183,    0,  196,  187,   42,
			  191,    0,  189,  248,  249,  251,    0,    0,  225,  224,
			  227,  204,  222,    0,  221,    0,  182,    0,    0,  219,

			    0,    0,   42,  184,  192,  190,  218,    0,  226,  223,
			  220,    0,    0,    0>>)
		end

	yydefgoto_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			  138,   55,   28,   65,  139,  140,  135,  371,  311,  185,
			  204,   56,  137,  120,  130,   41,  288,  266,  289,  210,
			  235,  236,  237,  290,   25,   26,   90,  131,  132,   99,
			   67,  186,  263,  292,  312,  275,  276,  313,  314,  376,
			  315,  316,  279,  381,  305,  248,  249,  339,  340,  341,
			  391,  342,  373,  411,    6,   68,    7,  350,  124,   44,
			    8,    9,   71,   10,   32,   11,   12,   33,   13,   16,
			   45,   84,   85,   34,   35,   79,  182,  122,  158,  159,
			  160,  161,  162,  214,  163,  164,  165,  166,   30,   72,
			   73,   74,  317,  352,  359,  360,  318,  344,  400,  167,

			  168,  169,  170,  205,  206,  207,  171,  172>>)
		end

	yypact_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			  479,  154, -32768,  350,  579, -32768,  242, -32768, -32768, -32768,
			  318,  363,  363, -32768, -32768, -32768,  216, -32768, -32768,  216,
			 -32768, -32768, -32768, -32768, -32768,  504, -32768,   31,  338,  363,
			 -32768,  216, -32768,  363, -32768,  281,  363, -32768, -32768, -32768,
			 -32768, -32768, -32768,  289, -32768,  288,  284,  424, -32768, -32768,
			 -32768, -32768, -32768, -32768,  212,   69, -32768, -32768, -32768, -32768,
			   14,  270, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768,   15, -32768, -32768, -32768,  411,  363,  272, -32768,
			 -32768, -32768, -32768, -32768,  216,  216, -32768, -32768, -32768, -32768,
			  547,  446, -32768, -32768,   -2, -32768,    5, -32768, -32768,  256,

			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,  216,
			 -32768,  125,  652, -32768,  216, -32768,  311, -32768, -32768, -32768,
			 -32768,  486, -32768, -32768, -32768, -32768, -32768, -32768,    4, -32768,
			   49, -32768, -32768, -32768,  187,  492, -32768,  216,  216,  119,
			  308,  299,  259,  213, -32768, -32768, -32768, -32768,  255,  652,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,  647,
			   74, -32768, -32768,  216, -32768, -32768,  166, -32768, -32768, -32768,
			   -2,  710,  236, -32768, -32768, -32768,  216,   98,  211, -32768,
			  260, -32768,  411, -32768,  394, -32768,  411, -32768,  411, -32768,

			 -32768, -32768,  610,   74, -32768,  156,   74, -32768, -32768,   92,
			 -32768, -32768,  216, -32768,  374, -32768,  187,  216, -32768,  216,
			  216,  216,  216,  216,  216,  216, -32768,  136, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768,   32, -32768, -32768, -32768,  216,
			 -32768,  174,  179,  124,  118,  475,  411,  282,  216, -32768,
			  169,  411,  368, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768,  216,  216,  216,  220,  216,  216, -32768,  160,
			 -32768,  192,  216,  216,  216,  138, -32768,  261,  261,  216,
			  515,  130,  115,  282, -32768, -32768, -32768, -32768, -32768,  209,
			 -32768,   72,  216,   59,  181, -32768, -32768,  639, -32768, -32768,

			 -32768, -32768,  216,  216,  216, -32768, -32768, -32768, -32768, -32768,
			  216,  261, -32768,   33,  261,  261,  110,  546,  206, -32768,
			 -32768,  216,  216, -32768, -32768, -32768, -32768,   42, -32768,  216,
			  216, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,  216,
			 -32768, -32768, -32768,  476, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768,  216,  546, -32768, -32768, -32768, -32768,  216, -32768, -32768,
			  546,  583,   20,   17,   10, -32768,  411,  322,  178, -32768,
			 -32768,  216, -32768,  206, -32768, -32768,  206, -32768, -32768,  216,
			 -32768,  206, -32768, -32768, -32768, -32768,  583,  216, -32768, -32768,
			 -32768, -32768, -32768,  476, -32768,  546, -32768,  583,  -15, -32768,

			  196,  121,  216, -32768, -32768, -32768, -32768,  583, -32768, -32768,
			 -32768,   36,    9, -32768>>)
		end

	yypgoto_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			   96, -32768, -32768,  372,  257, -32768, -32768,   38,  -29, -32768,
			    6,  337, -32768, -32768,   27, -120, -32768,  141, -32768, -247,
			 -32768,  188, -32768,  129, -32768,  391, -32768, -32768,  275, -32768,
			 -32768, -111, -32768, -32768, -349, -32768, -32768, -162,  165, -32768,
			  161, -32768, -32768, -32768, -260, -32768,  155, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768,  395,  365,  -16,  -12,  144,
			   -7,   -8, -32768, -32768, -32768, -32768,   11, -32768,   16,  266,
			 -32768,  267, -107, -32768, -32768, -32768,  164, -32768, -32768,  210,
			 -146, -164, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			  295, -32768, -251, -310, -205, -32768, -32768, -32768, -32768, -32768,

			 -32768, -32768, -32768,  159, -32768,  148, -32768, -32768>>)
		end

	yytable_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			   42,  280,  155,   46,   43,  177,   40,   47,  361,  413,
			   24,  176,  380,  200,  148,   95,  100,  213,  307,   76,
			   70,   69,   36,   63,   23,   22,    4,  405,   37,    3,
			   19,   24,   53,    2,   66,   62,  412,  399,  384,  155,
			   61,   23,   22,   94,   77,  383,  343,  119,  404,  155,
			  240,  349,   37,   88,  353,  355,  200,   40,  410,   39,
			   38,  155,  382,  393,   70,   69,  395,   98,  123,  125,
			  365,  397,  351,  126,   89,   52,   51,   40,   66,   50,
			  217,  141,  155,   23,   22,   91,   91,  328,   27,   60,
			  407,   52,   51,   37,  155,   50,  129,   59,   58,   57,

			  326,   23,   22,  144,  254,  143,   40,  145,   52,   51,
			   39,   38,   50,  362,  157,  156,  386,  232,  231,  230,
			  189,  390,   80,   54,  179,  178,  146,   40,  180,   40,
			   39,   38,  188,  190,  262,  187,  267,  129,  192,  194,
			  196,  198,  203,  320,   93,   92,   14,  260,  358,   80,
			  357,  157,  156,  259,  408,   15,   96,  208,  319,   39,
			   38,  157,  156,  221,  233,  223,  301,  224,  394,  225,
			  216,  396,  322,  157,  156,   14,  398,  232,  231,  230,
			   39,   38,   39,   38,  -42,  -42,   40,   83,  295,   40,
			  375,   83,  209,  296,  157,  156,  238,  270,  378,  258,

			   40,  242,  257,  243,  244,  253,  157,  156,  250,  245,
			  246,  247,  251,  252,  197,  234,  181,  264,   23,   22,
			   83,   40,  271,  256,   40,  228,  389,  388,  387,   23,
			   22,  218,  269,  403,  406,  351,  251,  209,   83,   39,
			   38,  234,   39,   38,  358,  351,  281,  282,  329,  209,
			  291,  293,  283,   39,   38,  294,  298,  299,  300,  297,
			  195,  306,  308,  309,  215,   23,   22,   40,   83,   40,
			   83,  287,  286,  285,   39,   38,  327,   39,   38,   23,
			   22,  323,  142,  286,  285,  199,  345,  346,  347,   83,
			   40,  121,  284,   91,  348,  324,   97,   40,  354,  356,

			  193,   87,  304,  303,  302,  363,  364,   40,   86,  191,
			   78,   82,   81,   80,  372,   27,   40,  366,  367,   40,
			   39,   38,   39,   38,   83,  220,  219,  368,  184,  183,
			   40,   83,  379,   82,   81,  374,   83,  385,   83,   64,
			   83,  377,   83,   39,   38,   31,   63,   23,   22,    4,
			   39,   38,    3,  265,  229,  392,    2,  379,   62,  272,
			   39,   38,  227,   61,  372,   18,   17,  102,  379,   39,
			   38,    5,   39,   38,    4,  401,   40,    3,  379,  202,
			  241,    2,  154,   39,   38,    4,  409,  147,    3,   83,
			   83,   83,    2,  173,   75,   83,   83,  118,  117,  274,

			  273,   29,   40,  268,  239,  272,  175,  153,  152,  151,
			  150,   27,   60,  278,  118,  117,   49,  277,  325,   40,
			   59,   58,   57,  255,  321,  116,  115,   83,  136,   39,
			   38,  402,   40,   23,   22,   39,   38,  211,   83,   18,
			   17,   83,  116,  115,  101,  114,  113,  112,  111,  110,
			  109,  108,  107,  106,  222,   39,   38,    0,    0,  105,
			  104,  103,  114,  113,  112,  111,  110,  109,  108,  107,
			  106,    0,   39,   38,    0,    0,  105,  104,  103,  118,
			  117,  370,  369,   40,    0,   39,   38,    5,    0,    0,
			    4,    0,    0,    3,  128,   23,   22,    2,    1,    0,

			   40,   18,   17,  174,    0,    0,    0,  116,  115,    0,
			   83,   83,   83,   23,   22,    0,   48,   20,  118,  117,
			  261,  184,  183,   52,   51,  134,  133,  114,  113,  112,
			  111,  110,  109,  108,  107,  106,   39,   38,  184,  183,
			    0,  105,  104,  103,    0,   83,  116,  115,    0,  118,
			  117,    0,  272,   39,   38,  128,   23,   22,    0,  310,
			    0,    0,   18,   17,  127,    0,  114,  113,  112,  111,
			  110,  109,  108,  107,  106,    0,    0,  116,  115,    0,
			  105,  104,  103,  272,    0,    0,  118,  117,   23,   22,
			    0,   21,   20,    0,    0,    0,    0,  114,  113,  112,

			  111,  110,  109,  108,  107,  106,    0,    0,    0,    0,
			    0,  105,  104,  103,  116,  115,    0,    0,  154,    0,
			    0,    4,    0,    0,    3,    0,    0,    0,    2,    0,
			    0,    0,    0,    0,  114,  113,  112,  111,  110,  109,
			  108,  107,  106,  153,  152,  151,  150,   40,  105,  104,
			  103,    0,    0,    0,    0,  154,    0,    0,    4,    0,
			  154,    3,    0,    4,    0,    2,    3,    0,    0,    0,
			    2,   39,   38,    0,    0,    0,  272,    0,  149,  226,
			  153,  152,  151,  150,    0,  153,  152,  151,  150,    0,
			  338,  337,  336,  335,  334,  333,  332,  331,  330,    0,

			   39,   38,    0,    0,    0,    0,    0,    0,   39,   38,
			    0,    0,    0,   39,   38,  149,  201,    0,  154,    0,
			  149,    4,    0,    0,    3,    0,    0,    0,    2,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			  212,    0,    0,  153,  152,  151,  150,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,   39,   38>>)
		end

	yycheck_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			   16,  252,  122,   19,   16,    1,    8,   19,  318,    0,
			    4,    7,  361,  159,  121,    1,    1,  181,  278,   31,
			   28,   28,   11,    8,    9,   10,   11,   42,   12,   14,
			    3,   25,    1,   18,   28,   20,    0,  386,   28,  159,
			   25,    9,   10,   55,   33,   28,  297,   76,  397,  169,
			  214,  311,   36,   47,  314,  315,  202,    8,  407,   61,
			   62,  181,   42,  373,   72,   72,  376,   61,   84,   85,
			   28,  381,   39,   85,   47,   77,   78,    8,   72,   81,
			  187,   76,  202,    9,   10,   81,   81,   28,   73,   74,
			  400,   77,   78,   77,  214,   81,   90,   82,   83,   84,

			   28,    9,   10,  119,   72,   99,    8,  119,   77,   78,
			   61,   62,   81,  318,  122,  122,  367,   85,   86,   87,
			    1,  368,   24,   27,   75,   76,    1,    8,  140,    8,
			   61,   62,  148,  149,  245,  147,  247,  131,  150,  151,
			  152,  153,   68,   28,   75,   76,   21,   29,   38,   24,
			   40,  159,  159,   29,  401,    1,   60,  173,   28,   61,
			   62,  169,  169,  192,   72,  194,   28,  196,  373,  198,
			  186,  376,  283,  181,  181,   21,  381,   85,   86,   87,
			   61,   62,   61,   62,   65,   66,    8,   43,   28,    8,
			  352,   47,   71,    1,  202,  202,  212,   28,  360,   20,

			    8,  217,   28,  219,  220,   69,  214,  214,  224,  221,
			  222,  223,  224,  225,    1,  209,   29,  246,    9,   10,
			   76,    8,  251,  239,    8,   69,   48,   49,   50,    9,
			   10,   20,  248,  395,   38,   39,  248,   71,   94,   61,
			   62,  235,   61,   62,   38,   39,  262,  263,   67,   71,
			  266,  267,  264,   61,   62,  267,  272,  273,  274,  271,
			    1,  277,  278,  279,   28,    9,   10,    8,  124,    8,
			  126,  265,   63,   64,   61,   62,  292,   61,   62,    9,
			   10,   72,   26,   63,   64,   30,  302,  303,  304,  145,
			    8,   19,   72,   81,  310,  289,   26,    8,  314,  315,

			    1,   17,   41,   42,   43,  321,  322,    8,   20,    1,
			   29,   22,   23,   24,  343,   73,    8,  329,  330,    8,
			   61,   62,   61,   62,  180,   65,   66,  339,   46,   47,
			    8,  187,  361,   22,   23,  351,  192,  366,  194,    1,
			  196,  357,  198,   61,   62,   27,    8,    9,   10,   11,
			   61,   62,   14,   71,  206,  371,   18,  386,   20,   37,
			   61,   62,  203,   25,  393,   15,   16,   72,  397,   61,
			   62,    8,   61,   62,   11,  387,    8,   14,  407,  169,
			  216,   18,    8,   61,   62,   11,  402,  121,   14,  245,
			  246,  247,   18,  126,   29,  251,  252,    3,    4,   31,

			   32,    6,    8,  248,   30,   37,  131,   33,   34,   35,
			   36,   73,   74,  252,    3,    4,   25,  252,  289,    8,
			   82,   83,   84,  235,  283,   31,   32,  283,   91,   61,
			   62,  393,    8,    9,   10,   61,   62,  180,  294,   15,
			   16,  297,   31,   32,   72,   51,   52,   53,   54,   55,
			   56,   57,   58,   59,   60,   61,   62,   -1,   -1,   65,
			   66,   67,   51,   52,   53,   54,   55,   56,   57,   58,
			   59,   -1,   61,   62,   -1,   -1,   65,   66,   67,    3,
			    4,    5,    6,    8,   -1,   61,   62,    8,   -1,   -1,
			   11,   -1,   -1,   14,    8,    9,   10,   18,   19,   -1,

			    8,   15,   16,   17,   -1,   -1,   -1,   31,   32,   -1,
			  366,  367,  368,    9,   10,   -1,   12,   13,    3,    4,
			   45,   46,   47,   77,   78,   79,   80,   51,   52,   53,
			   54,   55,   56,   57,   58,   59,   61,   62,   46,   47,
			   -1,   65,   66,   67,   -1,  401,   31,   32,   -1,    3,
			    4,   -1,   37,   61,   62,    8,    9,   10,   -1,   44,
			   -1,   -1,   15,   16,   17,   -1,   51,   52,   53,   54,
			   55,   56,   57,   58,   59,   -1,   -1,   31,   32,   -1,
			   65,   66,   67,   37,   -1,   -1,    3,    4,    9,   10,
			   -1,   12,   13,   -1,   -1,   -1,   -1,   51,   52,   53,

			   54,   55,   56,   57,   58,   59,   -1,   -1,   -1,   -1,
			   -1,   65,   66,   67,   31,   32,   -1,   -1,    8,   -1,
			   -1,   11,   -1,   -1,   14,   -1,   -1,   -1,   18,   -1,
			   -1,   -1,   -1,   -1,   51,   52,   53,   54,   55,   56,
			   57,   58,   59,   33,   34,   35,   36,    8,   65,   66,
			   67,   -1,   -1,   -1,   -1,    8,   -1,   -1,   11,   -1,
			    8,   14,   -1,   11,   -1,   18,   14,   -1,   -1,   -1,
			   18,   61,   62,   -1,   -1,   -1,   37,   -1,   68,   69,
			   33,   34,   35,   36,   -1,   33,   34,   35,   36,   -1,
			   51,   52,   53,   54,   55,   56,   57,   58,   59,   -1,

			   61,   62,   -1,   -1,   -1,   -1,   -1,   -1,   61,   62,
			   -1,   -1,   -1,   61,   62,   68,   69,   -1,    8,   -1,
			   68,   11,   -1,   -1,   14,   -1,   -1,   -1,   18,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   30,   -1,   -1,   33,   34,   35,   36,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   61,   62>>)
		end

feature {NONE} -- Conversion

	yytype1 (v: ANY): XM_EIFFEL_PARSER_NAME is
		require
			valid_type: yyis_type1 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type1 (v: ANY): BOOLEAN is
		local
			u: XM_EIFFEL_PARSER_NAME
		do
			u ?= v
			Result := (u = v)
		end

	yytype2 (v: ANY): DS_HASH_SET [XM_EIFFEL_PARSER_NAME] is
		require
			valid_type: yyis_type2 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type2 (v: ANY): BOOLEAN is
		local
			u: DS_HASH_SET [XM_EIFFEL_PARSER_NAME]
		do
			u ?= v
			Result := (u = v)
		end

	yytype3 (v: ANY): STRING is
		require
			valid_type: yyis_type3 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type3 (v: ANY): BOOLEAN is
		local
			u: STRING
		do
			u ?= v
			Result := (u = v)
		end

	yytype4 (v: ANY): XM_DTD_EXTERNAL_ID is
		require
			valid_type: yyis_type4 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type4 (v: ANY): BOOLEAN is
		local
			u: XM_DTD_EXTERNAL_ID
		do
			u ?= v
			Result := (u = v)
		end

	yytype5 (v: ANY): XM_DTD_ELEMENT_CONTENT is
		require
			valid_type: yyis_type5 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type5 (v: ANY): BOOLEAN is
		local
			u: XM_DTD_ELEMENT_CONTENT
		do
			u ?= v
			Result := (u = v)
		end

	yytype6 (v: ANY): CHARACTER is
		require
			valid_type: yyis_type6 (v)
		local
			ref: CHARACTER_REF
		do
			ref ?= v
			Result := ref.item
		end

	yyis_type6 (v: ANY): BOOLEAN is
		local
			u: CHARACTER_REF
		do
			u ?= v
			Result := (u = v)
		end

	yytype7 (v: ANY): XM_DTD_ATTRIBUTE_CONTENT is
		require
			valid_type: yyis_type7 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type7 (v: ANY): BOOLEAN is
		local
			u: XM_DTD_ATTRIBUTE_CONTENT
		do
			u ?= v
			Result := (u = v)
		end

	yytype8 (v: ANY): DS_BILINKED_LIST [XM_DTD_ATTRIBUTE_CONTENT] is
		require
			valid_type: yyis_type8 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type8 (v: ANY): BOOLEAN is
		local
			u: DS_BILINKED_LIST [XM_DTD_ATTRIBUTE_CONTENT]
		do
			u ?= v
			Result := (u = v)
		end

	yytype9 (v: ANY): DS_BILINKED_LIST [STRING] is
		require
			valid_type: yyis_type9 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type9 (v: ANY): BOOLEAN is
		local
			u: DS_BILINKED_LIST [STRING]
		do
			u ?= v
			Result := (u = v)
		end


feature {NONE} -- Constants

	yyFinal: INTEGER is 413
			-- Termination state id

	yyFlag: INTEGER is -32768
			-- Most negative INTEGER

	yyNtbase: INTEGER is 90
			-- Number of tokens

	yyLast: INTEGER is 772
			-- Upper bound of `yytable' and `yycheck'

	yyMax_token: INTEGER is 344
			-- Maximum token id
			-- (upper bound of `yytranslate'.)

	yyNsyms: INTEGER is 198
			-- Number of symbols
			-- (terminal and nonterminal)

feature -- User-defined features



end
