indexing

	description:

		"Factories for structures allowing string polymorphism"

	library: "Gobo Eiffel XML Library"
	copyright: "Copyright (c) 2002, Andreas Leitner and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/08/16 14:52:18 $"
	revision: "$Revision: 1.1 $"

class XM_EIFFEL_UNICODE_STRUCTURE_FACTORY

inherit

	XM_UNICODE_STRUCTURE_FACTORY

feature -- Specialized structures

	new_entities_table: DS_HASH_TABLE [XM_EIFFEL_ENTITY_DEF, STRING] is
			-- New entities table
		do
			!! Result.make_default
			Result.set_key_equality_tester (string_equality_tester)
		ensure
			entities_tale_not_void: Result /= Void
			equality_tester: Result.key_equality_tester = string_equality_tester
		end

end
