indexing

	description:

		"The source of an XML document that has been retrieved via an URI"

	library: "Gobo Eiffel XML Library"
	copyright: "Copyright (c) 2001, Andreas Leitner and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/08/16 15:01:36 $"
	revision: "$Revision: 1.10 $"

class XM_DEFAULT_URI_SOURCE

inherit

	XM_URI_SOURCE

creation

	make

feature {NONE} -- Initialization

	make (a_uri: STRING) is
			-- Create a new URI.
		require
			a_uri_not_void: a_uri /= Void
		do
			uri := a_uri
		ensure
			uri_set: uri = a_uri
		end

feature -- Access

	uri: STRING
			-- URI for the source of the XML document

end
