indexing

	description:

		"Abstract definition of the source of an XML document that %
		%has been retrieved via an URI"

	library: "Gobo Eiffel XML Library"
	copyright: "Copyright (c) 2001, Andreas Leitner and others"
	license: "Eiffel Forum License v1 (see forum.txt)"
	date: "$Date: 2002/08/16 15:01:36 $"
	revision: "$Revision: 1.9 $"

deferred class XM_URI_SOURCE

inherit

	XM_SOURCE

feature -- Access

	uri: STRING is
			-- URI for the source of the XML document
		deferred
		end

feature -- Output

	out: STRING is
			-- Textual representation
		do
			Result := uri
		end

invariant

	uri_not_void: uri /= Void

end
